<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/functions.php -
//
// Copyrights (c) 2006-2007 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// creates action links to backend sites
function create_link($url,$id,$title,$class,$caption,$target=0)
{
	if(empty($url) || empty($id)) {
		return("<a href='#' title='".$title."' class='".$class."'>".$caption."</a> ");
	}
	
	if($target == 0) {
		return("<a href='".$url.$id."' title='".$title."' class='".$class."'>".$caption."</a> ");
	} else {
		return("<a href='".$url.$id."' title='".$title."' class='".$class."' target='_new'>".$caption."</a> ");
	}
}

// check and clean integer values in GET parameters
function clean_int_values($value)
{
	if(!CheckInteger($value)) {
		return(0);
	}
	return($value);
}

// get files of a folder and make a list
function get_files($folder,$selected,$format=".")
{
	$dir=opendir($folder);

	while($file = readdir($dir))
	{
		// only files in $format
		if($format != "") {
			$strpos = strpos($file,$format);
		} else {
			if(strpos($file,".") != 0) {
				$strpos = 0;
			} else {
				$strpos = 1;
			}
		}
		if($file != "." && $file != ".." && $strpos != 0)
		{
			if($selected == $file) {
				$dir_list .= "<option value='".$file."' selected='selected'>".$file."</option>";
			} else {
				$dir_list .= "<option value='".$file."'>".$file."</option>";
			}
		}
	}

	closedir($dir);
	
	return($dir_list);
}

?>