<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/inc_content_content.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

// get explorer_id from cid
if(isset($_GET['cid'])) {
	$db->query("SELECT explorer_id FROM ".$tbl_prefix."sys_content WHERE cid = '".$_GET['cid']."' LIMIT 1");
	while($db->next_record()):
		$_GET['eid'] = $db->f("explorer_id");
	endwhile;
}

// convert post var to get var
if(isset($_POST['eid'])) {
	$_GET['eid'] = $_POST['eid'];
}

// header back when NOT link_type "standard" or "plugin"
$db->query("SELECT name,link_type,link_plugin,created_by FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$_GET['eid']."' ORDER BY eid LIMIT 1");
while($db->next_record()):
	$explorer_name = $db->f("name");
	$link_type = $db->f("link_type");
	$link_plugin = $db->f("link_plugin");
	$created_by = $db->f("created_by");
endwhile;

// -0.3
//if($link_type == 3 && $link_plugin != 0) {
//	load_url("index.php?mode=plugins&pluginID=".$link_plugin);
//}
// +0.3
if($link_type != 0 && $link_type != 3) {
	load_url("index.php?mode=content");
}

// content protection per user
if($sys_setting_vars['user_content_only'] == 1) {
	if($created_by != $_SESSION['username']) {
		load_url("index.php?mode=content");
	}
}
	
switch($action)
{
	case 'new': // new content entry
		if(isset($_POST['send']) && $sys_group_vars['demo'] == 0) {
		if(($link_type == 0 && $sys_rights['content_default']['write'] == 1) || ($link_type == 3 && $sys_rights['content_plugins']['write'] == 1)) {
			// format input fields
			$_POST['title'] = validate_text($_POST['title']);
			$_POST['text'] = replace_specialchars($_POST['text']);
			if($admin_plugin[999] == 0 && $admin_plugin[998] == 0) {
				$_POST['text'] = text_2_html($_POST['text']);
			}
				
			if($_POST['insert'] == "top") {
				$db2->query("SELECT sorting FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_POST['eid']."' ORDER BY sorting LIMIT 1");
				while($db2->next_record()):
					$sorting = $db2->f("sorting") - 1;
				endwhile;
			}
			if($_POST['insert'] == "bottom") {
				$db2->query("SELECT sorting FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_POST['eid']."' ORDER BY sorting DESC LIMIT 1");
				while($db2->next_record()):
					$sorting = $db2->f("sorting") + 1;
				endwhile;
			}
			
			$created_by = $_SESSION["username"];
			$created_at = time();
			if($_POST['eid'] > 0) {
				$db->query("INSERT INTO ".$tbl_prefix."sys_content VALUES ('','".$_POST['eid']."','".$sorting."','','".$_POST['title']."','".$_POST['text']."','".$_POST['invisible']."','".$created_by."','".$created_at."','','')");
			}
			// header url
			load_url("index.php?mode=content&page=content&eid=".$_POST['eid']);
		}
		}
			
		// include SPAW wysiwyg-editor for field text
		if($admin_plugin[999] == 1) {
			include_once("../plugins/spaw/spaw_control.class.php");
			$sw = new SPAW_Wysiwyg('text',
				stripslashes($text),
				$sys_vars['token'], // language
				'', // toolbar mode
				'', // theme
				'500px', // width
				'200px' // height
				);
			$textarea = $sw->getHTML();
			$images = "";
			$html_tags = "";
			$short_tags = "";
		} elseif($admin_plugin[998] == 1) {
			include_once("../plugins/spaw2/spaw.inc.php");
			$sw = new SpawEditor('text',
				stripslashes($text),
				$sys_vars['token'], // language
				'', // toolbar mode
				'', // theme
				'500px', // width
				'200px' // height
				);
			$textarea = $sw->getHTML();
			$images = "";
			$html_tags = "";
			$short_tags = "";
		} else {
			$images = "<select name='images'><option>- ".get_caption('Images')." -</option>";
			$db2->query("SELECT filename FROM ".$tbl_prefix."sys_media WHERE media_type = '1'");
			while($db2->next_record()):
				$images .= "<option>".$db2->f("filename")."</option>";
			endwhile;
			$images .= "</select>";
			$images .= " <a class='small' href='index.php?mode=content&page=media&action=new'><br />".get_caption('MediafileAdd')."</a>";
			
			$text = html_2_text($text);
			$textarea = "<textarea name='text' cols='60' rows='10'>".$text."</textarea>";
			$html_tags = "<br />HTML-Tags: &lt;div&gt;&lt;p&gt; &lt;b&gt;&lt;i&gt;&lt;u&gt; &lt;a&gt;&lt;img&gt; &lt;object&gt;&lt;param&gt;&lt;embed&gt; &lt;ul&gt;&lt;ol&gt;&lt;li&gt; &lt;span&gt; &lt;iframe&gt;";
			$short_tags = "<br />Short-Tags: [IMG]image.jpg[/IMG] [URL]http://my.url.com|my.url.com[/URL]<br />";
		}
		
		// Set variables
		$tpl->set_var(array(
			"content_title"       => "<h2>".$explorer_name." - ".get_caption('ContentNew')." - ".get_caption('Contents')."</h2>",
			"content_action"      => "index.php?mode=content&page=content&action=new",
			"content_new"         => "",
			"content_insert"      => "<input type='radio' name='insert' value='top' checked='checked' /> ".get_caption('Top')." <input type='radio' name='insert' value='bottom' /> ".get_caption('Bottom'),
			"content_move"        => "",
			"content_del"         => "",
			"content_preview"     => "",
			"content_info"        => "",
			//"content_type"        => "Art",
			//"content_type_input"  => "<select name='content_type'>".$sys_content_type."</select>",
			"content_header"       => get_caption('HeadLine'),
			"content_header_input" => "<input type='text' name='title' value='".$title."' size='60' maxlength='250' />",
			"content_text"        => get_caption('TextContent'),
			"content_text_input"  => $textarea.$html_tags.$short_tags,
			"content_images"      => $images,
			"content_cid"         => "<input type='hidden' name='eid' value='".$_GET['eid']."' />",
			"content_hash"        => "",
			"content_visible"     => get_caption('Blocked'),
			"content_visible_input" => "<select name='invisible'><option value='0'>".get_caption('No')."</option><option value='1'>".get_caption('Yes')."</option></select>",
			"content_button_send" => "<p><input class='btn' type='submit' name='send' value='".get_caption('EntryAdd')."' /></p>"
			));
			// Parse template with variables
		$tpl->parse("content_handle", "content", true);
	break;
			
	case 'del':
		if(isset($_POST['send']) && $sys_group_vars['demo'] == 0) {
		if(($link_type == 0 && $sys_rights['content_default']['delete'] == 1) || ($link_type == 3 && $sys_rights['content_plugins']['delete'] == 1)) {
			$db->query("DELETE FROM ".$tbl_prefix."sys_content WHERE cid = '".$_POST['cid']."' LIMIT 1");
			load_url("index.php?mode=content&page=content&eid=".$_POST['eid']);
		}
		}
				
		// select record
		if(isset($_POST['cid'])) {
			$_GET['cid'] = $_POST['cid'];
		}
		$db->query("SELECT cid,title,explorer_id FROM ".$tbl_prefix."sys_content WHERE cid = '".$_GET['cid']."' ORDER BY cid LIMIT 1");
		while($db->next_record()):
			$cid = $db->f("cid");
			$title = $db->f("title");
			$eid = $db->f("explorer_id");
		endwhile;
				
		// Set variables
		$tpl->set_var(array(
			"content_title"    => "<h2>".get_caption('EntryDelete')." - ".get_caption('Contents')."</h2>",
			"content_action"   => "index.php?mode=content&page=content&action=del",
			"content_question" => "<p>".get_caption('DeleteQuestion')."</p>",
			"content_name"     => "<p class='bold'>".$title."</p>",
			"content_cid"      => "<input type='hidden' name='cid' value='".$cid."' /><input type='hidden' name='eid' value='".$eid."' />",
			"content_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('EntryDelete')."' />"
			));
		$tpl->parse("content_handle", "content", true);
	break;
			
	default:
		// Translate explorer_id to cid, if content doesn't exist make INSERT before translation
		if(isset($_GET['eid'])) {
			$db->query("SELECT cid FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_GET['eid']."' ORDER BY explorer_id LIMIT 1");
			$result = $db->num_rows();

			if($result == 0 && $_GET['eid'] > 0) {
				$created_at = time();
				$db->query("INSERT INTO ".$tbl_prefix."sys_content VALUES ('','".$_GET['eid']."','1000000','','','','0','".$_SESSION['username']."','".$created_at."','','')");
			}
		}
		
		// Move actions
		if(isset($_GET['action']) && (($link_type == 0 && $sys_rights['content_default']['write'] == 1) || ($link_type == 3 && $sys_rights['content_plugins']['write'] == 1))) {
			if(!CheckInteger($_GET['cid'])) {
				unset($_GET['action']);
			}
			switch($_GET['action'])
			{
				case 'move_up':
					// get cid of prev entry
					$db->query("SELECT cid,sorting FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_GET['eid']."' ORDER BY sorting DESC");
					while($db->next_record()):
						if($prev == 1) {
							$prev_cid = $db->f("cid");
							$prev = 0;
						}
						if($db->f("cid") == $_GET['cid']) {
							$prev = 1;
						}
					endwhile;
					// change sorting
					if($prev_cid != 0) {
						$db->query("UPDATE ".$tbl_prefix."sys_content SET sorting = sorting+1 WHERE cid = '".$prev_cid."' LIMIT 1");
						$db->query("UPDATE ".$tbl_prefix."sys_content SET sorting = sorting-1 WHERE cid = '".$_GET['cid']."' LIMIT 1");
					}
				break;
		
				case 'move_down':
					// get cid of next entry
					$db->query("SELECT cid,sorting FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_GET['eid']."' ORDER BY sorting");
					while($db->next_record()):
						if($next == 1) {
							$next_cid = $db->f("cid");
							$next = 0;
						}
						if($db->f("cid") == $_GET['cid']) {
							$next = 1;
						}
					endwhile;
					// change sorting
					if($next_cid != 0) {
						$db->query("UPDATE ".$tbl_prefix."sys_content SET sorting = sorting-1 WHERE cid = '".$next_cid."' LIMIT 1");
						$db->query("UPDATE ".$tbl_prefix."sys_content SET sorting = sorting+1 WHERE cid = '".$_GET['cid']."' LIMIT 1");
					}
				break;
			}
			load_url("index.php?mode=content&page=content&eid=".$_GET['eid']);
		}
		
		// default editing
		if((isset($_POST['send']) || isset($_POST['sendclose'])) && $sys_group_vars['demo'] == 0) {
		if(($link_type == 0 && $sys_rights['content_default']['write'] == 1) || ($link_type == 3 && $sys_rights['content_plugins']['write'] == 1)) {
			$db->query("SELECT cid FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_GET['eid']."' ORDER BY sorting");
			while($db->next_record()):
				$cid = $db->f("cid");
				
				// format input fields
				$_POST['title'.$cid] = validate_text($_POST['title'.$cid]);
				$_POST['text'.$cid] = replace_specialchars($_POST['text'.$cid]);
				if($admin_plugin[999] == 0 && $admin_plugin[998] == 0) {
					$_POST['text'.$cid] = text_2_html($_POST['text'.$cid]);
				}

				// save changes in database
				//$db2->query("UPDATE ".$tbl_prefix."sys_content SET content_type = '".$_POST['content_type']."' WHERE cid = '".$cid."' ORDER BY cid LIMIT 1");
				$db2->query("UPDATE ".$tbl_prefix."sys_content SET title = '".$_POST['title'.$cid]."' WHERE cid = '".$cid."' ORDER BY cid LIMIT 1");
				$db2->query("UPDATE ".$tbl_prefix."sys_content SET text = '".$_POST['text'.$cid]."' WHERE cid = '".$cid."' ORDER BY cid LIMIT 1");
			
				$db2->query("UPDATE ".$tbl_prefix."sys_content SET invisible = '".$_POST['invisible'.$cid]."' WHERE cid = '".$cid."' ORDER BY cid LIMIT 1");
				
				$text_hash = md5($_POST['title'.$cid].$_POST['text'.$cid]);
				if($_POST['text_hash'.$cid] != $text_hash) {
					$db2->query("UPDATE ".$tbl_prefix."sys_content SET changed_by = '".$_SESSION['username']."' WHERE cid = '".$cid."' ORDER BY cid LIMIT 1");
					$changed_at = time();
					$db2->query("UPDATE ".$tbl_prefix."sys_content SET changed_at = '".$changed_at."' WHERE cid = '".$cid."' ORDER BY cid LIMIT 1");
				}
			endwhile;
			
			// header url
			if(isset($_POST['sendclose'])) {
				load_url("index.php?mode=content");
			} else {
				load_url("index.php?mode=content&page=content&eid=".$_GET['eid']);
			}
		}
		}
		
		// Select Record
		$db->query("SELECT cid,sorting,title,text,invisible,created_by,created_at,changed_by,changed_at FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_GET['eid']."' ORDER BY sorting");
		while($db->next_record()):
			$cid = $db->f("cid");
			$sorting = $db->f("sorting") / 2;
			//$content_type = $db->f("content_type");
			$title = $db->f("title");
			$text = $db->f("text");
			$invisible = mark_selected_value($db->f("invisible"));
			$text_hash = md5($title.$text);
			
			// include SPAW wysiwyg-editor for field text
			if($admin_plugin[999] == 1) {
				include_once("../plugins/spaw/spaw_control.class.php");
				$sw = new SPAW_Wysiwyg('text'.$cid,
					stripslashes($text),
					$sys_vars['token'], // language
					'', // toolbar mode
					'', // theme
					'500px', // width
					'200px' // height
					);
				$textarea = $sw->getHTML();
				$images = "";
				$html_tags = "";
				$short_tags = "";
			} elseif($admin_plugin[998] == 1) {
				include_once("../plugins/spaw2/spaw.inc.php");
				$sw = new SpawEditor('text'.$cid,
					stripslashes($text),
					$sys_vars['token'], // language
					'', // toolbar mode
					'', // theme
					'500px', // width
					'200px' // height
					);
				$textarea = $sw->getHTML();
				$images = "";
				$html_tags = "";
				$short_tags = "";
			} else {
				$images = "<select name='images'><option>- ".get_caption('Images')." -</option>";
				$db2->query("SELECT filename FROM ".$tbl_prefix."sys_media WHERE media_type = '1'");
				while($db2->next_record()):
					$images .= "<option>".$db2->f("filename")."</option>";
				endwhile;
				$images .= "</select>";
				$images .= " <a class='small' href='index.php?mode=content&page=media&action=new'><br />".get_caption('MediafileAdd')."</a>";
			
				$text = html_2_text($text);
				$textarea = "<textarea name='text".$cid."' cols='60' rows='10'>".$text."</textarea>";
				$html_tags = "<br />HTML-Tags: &lt;div&gt;&lt;p&gt; &lt;b&gt;&lt;i&gt;&lt;u&gt; &lt;a&gt;&lt;img&gt; &lt;object&gt;&lt;param&gt;&lt;embed&gt; &lt;ul&gt;&lt;ol&gt;&lt;li&gt; &lt;span&gt; &lt;iframe&gt;";
				$short_tags = "<br />Short-Tags: [IMG]image.jpg[/IMG] [URL]http://my.url.com|my.url.com[/URL]<br />";
			}
			
			if($db->f("created_at") != "") {
				$content_created_at = date($sys_vars['datetime'],$db->f("created_at"));
			} else {
				$content_created_at = "";
			}
			if($db->f("changed_at") != "") {
				$content_changed_at = date($sys_vars['datetime'],$db->f("changed_at"));
			} else {
				$content_changed_at = "";
			}

			$content_info = get_caption('CreatedBy').": ".$db->f("created_by")."<br />"
				.get_caption('CreatedAt').": ".$content_created_at."<br />"
				.get_caption('ChangedBy').": ".$db->f("changed_by")."<br />"
				.get_caption('ChangedAt').": ".$content_changed_at;
			
			// Set variables
			$tpl->set_var(array(
				"content_title"       => "<h2>".$explorer_name." - ".get_caption('ContentEdit')." - ".get_caption('Contents')."</h2>",
				"content_action"      => "index.php?mode=content&page=content&eid=".$_GET['eid'],
				"content_new"         => "<a class='edit' href='index.php?mode=content&page=content&action=new&eid=".$_GET['eid']."' title='".get_caption('ContentAdd')."'><img src='images/icon_add.gif' alt='".get_caption('ContentAdd')."' border='0' width='16' height='16' /></a>",
				"content_insert"      => "",
				"content_move"        => create_link("index.php?mode=content&page=content&action=move_up&cid=",$cid,get_caption('MoveUp'),"edit",get_caption('IcoUp'))
					.create_link("index.php?mode=content&page=content&action=move_down&cid=",$cid,get_caption('MoveDown'),"edit",get_caption('IcoDown')),
				"content_del"         => create_link("index.php?mode=content&page=content&action=del&cid=",$cid,get_caption('Del'),"delete",get_caption('Delete')),
				"content_preview"     => create_link("../index.php?page=",$_GET['eid'],get_caption('Preview'),"edit",get_caption('IcoPreview'),1),
				"content_info"        => $content_info,
				//"content_type"        => "Art",
				//"content_type_input"  => "<select name='content_type'>".$sys_content_type."</select>",
				"content_header"       => get_caption('HeadLine'),
				"content_header_input" => "<input type='text' name='title".$cid."' value='".$title."' size='60' maxlength='250' />",
				"content_text"        => get_caption('TextContent'),
				"content_text_input"  => $textarea.$html_tags.$short_tags,
				"content_images"      => $images,
				"content_cid"         => "",
				"content_hash"        => "<input type='hidden' name='text_hash".$cid."' value='".$text_hash."' />",
				"content_visible"     => get_caption('Blocked'),
				"content_visible_input" => "<select name='invisible".$cid."'><option value='0' ".$invisible['1'].">".get_caption('No')."</option><option value='1' ".$invisible['2'].">".get_caption('Yes')."</option></select>",
				"content_button_send" => "<p><input class='btn' type='submit' name='send' value='".get_caption('SaveChanges')."' /> <input class='btn' type='submit' name='sendclose' value='".get_caption('SaveAndClose')."' /></p>"
				));
				// Parse template with variables
				$tpl->parse("content_handle", "content", true);
		endwhile;
	break;
}
?>