<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/inc_content_media.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

		switch($action)
		{
			case 'new':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['content_media']['write'] == 1) {
										
					if(!mandatory_field($_FILES["filename"]["name"]) && $error == "") { $error = "<p class='error'>".get_caption('ErrorFile')."</p>"; }
					
					if($_POST['media_type'] == 0 && $error == "") {
						if(file_exists($path_to_files_folder.$_FILES["filename"]["name"])) {
							$error = "<p class='error'>".get_caption('ErrorFileExist')."</p>";
						} else {
							if(!upload_file($path_to_files_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePremission')."</p>"; }
						}
					} 
					if($_POST['media_type'] == 1 && $error == "") {
						if(file_exists($path_to_image_folder.$_FILES["filename"]["name"])) {
							$error = "<p class='error'>".get_caption('ErrorFileExist')."</p>";
						} else {
							if(!upload_file($path_to_image_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
						}
					}
					
					if($error == "") {
						$db->query("INSERT INTO ".$tbl_prefix."sys_media VALUES ('','".$_POST['media_type']."','".$_FILES["filename"]["name"]."')");
						load_url("index.php?mode=content&page=media");
					}
				}
				
				// Set variables
				$tpl->set_var(array(
					"settings_title"    => "<h2>".get_caption('MediafileAdd')." - ".get_caption('Contents')."</h2>",
					"media_action"      => "index.php?mode=content&page=media&action=new",
					"media_error"       => $error,
					"media_filename"    => get_caption('File'),
					"media_filename_input" => "<input type='file' name='filename' size='30' maxlength='250' />",
					"media_type"        => get_caption('Type'),
					"media_type_input"  => "<select name='media_type'><option value='0'>".get_caption('File')."</option><option value='1'>".get_caption('Image')."</option></select>",
					"media_button_send"  => "<input class='btn' type='submit' name='send' value='".get_caption('MediafileAdd')."' />"
					));
			break;
			
			case 'edit':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['content_media']['write'] == 1) {
										
					if(mandatory_field($_FILES["filename"]["name"])) {
						// upload file
						if($_POST['media_type'] == 0) {
							if(!upload_file($path_to_files_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
						} else {
							if(!upload_file($path_to_image_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
						}
						$db->query("UPDATE ".$tbl_prefix."sys_media SET filename = '".$_FILES["filename"]["name"]."' WHERE mid = '".$_POST['mid']."' LIMIT 1");
						
						if($_POST['media_type'] != $_POST['media_type_old']) {
							if($_POST['media_type_old'] == 0) {
								delete_file($_POST['media_file'],$path_to_files_folder);
							} else {
								delete_file($_POST['media_file'],$path_to_image_folder);
							}
						}
					}
					
					$db->query("UPDATE ".$tbl_prefix."sys_media SET media_type = '".$_POST['media_type']."' WHERE mid = '".$_POST['mid']."' LIMIT 1");
					if(!mandatory_field($_FILES["filename"]["name"])) {
						if($_POST['media_type'] != $_POST['media_type_old']) {
							if($_POST['media_type_old'] == 0) {
								@copy($path_to_files_folder.$_POST['media_file'],$path_to_image_folder.$_POST['media_file']);
								delete_file($_POST['media_file'],$path_to_files_folder);
							} else {
								@copy($path_to_image_folder.$_POST['media_file'],$path_to_files_folder.$_POST['media_file']);
								delete_file($_POST['media_file'],$path_to_image_folder);
							}
						}
					}
					
					if($error == "") {
						load_url("index.php?mode=content&page=media");
					}
				}
				
				// select record
				if(isset($_POST['mid'])) {
					$_GET['mid'] = $_POST['mid'];
				}
				$db->query("SELECT * FROM ".$tbl_prefix."sys_media WHERE mid = '".$_GET['mid']."' ORDER BY mid LIMIT 1");
				while($db->next_record()):
					$mid = $db->f("mid");
					$filename = $db->f("filename");
					$type = mark_selected_value($db->f("media_type"));
					$media_type = $db->f("media_type");
				endwhile;
				
				// Set variables
				$tpl->set_var(array(
					"settings_title"    => "<h2>".get_caption('MediafileEdit')." - ".get_caption('Contents')."</h2>",
					"media_action"      => "index.php?mode=content&page=media&action=edit",
					"media_error"       => $error,
					"media_filename"    => get_caption('File'),
					"media_filename_input" => $filename."<br /><input type='file' name='filename' size='30' maxlength='250' />",
					"media_type"        => get_caption('Type'),
					"media_type_input"  => "<select name='media_type'><option value='0' ".$type['1'].">".get_caption('File')."</option><option value='1' ".$type['2'].">".get_caption('Image')."</option></select>",
					"media_file"        => "<input type='hidden' name='media_file' value='".$filename."' />",
					"media_type_old"    => "<input type='hidden' name='media_type_old' value='".$media_type."' />",
					"media_mid"         => "<input type='hidden' name='mid' value='".$mid."' />",
					"media_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('SaveChanges')."' />"
					));
			break;
			
			case 'del':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['content_media']['delete'] == 1) {
					$db->query("DELETE FROM ".$tbl_prefix."sys_media WHERE mid = '".$_POST['mid']."' LIMIT 1");
					if($_POST['media_type'] == 0) {
						delete_file($_POST['media_file'],$path_to_files_folder);
					} else {
						delete_file($_POST['media_file'],$path_to_image_folder);
					}
					load_url("index.php?mode=content&page=media");
				}
				
				// select record
				if(isset($_POST['mid'])) {
					$_GET['mid'] = $_POST['mid'];
				}
				$db->query("SELECT mid,media_type,filename FROM ".$tbl_prefix."sys_media WHERE mid = '".$_GET['mid']."' ORDER BY mid LIMIT 1");
				while($db->next_record()):
					$mid = $db->f("mid");
					$media_type = $db->f("media_type");
					$filename = $db->f("filename");
				endwhile;
				
				// Set variables
				$tpl->set_var(array(
					"settings_title"    => "<h2>".get_caption('MediafileDelete')." - ".get_caption('Contents')."</h2>",
					"media_action"      => "index.php?mode=content&page=media&action=del",
					"media_question"    => "<p>".get_caption('DeleteQuestion')."</p>",
					"media_filename"    => "<p class='bold'>".$filename."</p>",
					"media_file"        => "<input type='hidden' name='media_file' value='".$filename."' />",
					"media_type"        => "<input type='hidden' name='media_type' value='".$media_type."' />",
					"media_mid"         => "<input type='hidden' name='mid' value='".$mid."' />",
					"media_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('EntryDelete')."' />"
					));
			break;
			
			default:
				// Create media overview
				
				// Filter
				if(isset($_POST["send"])) {
					if($_POST["filter_media"] == "") {
						$_SESSION["filter_media"] = "%";
					} else {
						$_SESSION["filter_media"] = $_POST["filter_media"];
					}
					load_url("index.php?mode=content&page=media");
				}
				$filter_option = "<option value=''>- ".get_caption('Type')." -</option>";
				$filter_option .= "<option value='0'>".get_caption('File')."</option>";
				$filter_option .= "<option value='1'>".get_caption('Image')."</option>";
				
				$media_filter = "<form method='post'>";
				$media_filter .= "<table><tr>"
					."<td>".get_caption('Filter').":</td>"
					."<td><select name='filter_media'>".$filter_option."</select></td>"
					."<td><input class='btn' type='submit' name='send' value='".get_caption('SetFilter')."' /></td>";
					if($_SESSION["filter_media"] != "" && $_SESSION["filter_media"] != "%") {
						$media_filter .= "<td>".get_caption('Filter').": ".get_caption('Yes')."</td>";
					}
				$media_filter .= "</tr></table>";
				$media_filter .= "</form>";
				
				// Headline
				$settings_media .= "<table><tr class='bg_color3'>"
					."<td><p class='bold'>".get_caption('Type')."</p></td>"
					."<td><p class='bold'>".get_caption('File')."</p></td>"
					."<td><p class='bold'>".get_caption('FileSize')."</p></td>"
					."<td><p class='bold'>".get_caption('Action')."</p></td>"
					."</tr>";
				
				// Lines
				if(!isset($_SESSION["filter_media"])) {
					$_SESSION["filter_media"] = "%";
				}
				$db->query("SELECT * FROM ".$tbl_prefix."sys_media WHERE media_type LIKE '".$_SESSION["filter_media"]."' ORDER BY mid");
				while($db->next_record()):
					if($db->f("media_type") == 0) { $path = $path_to_files_folder; }
					if($db->f("media_type") == 1) { $path = $path_to_image_folder; }
					$settings_media .= "<tr class='bg_color2'>"
						."<td>".translate_yesno($db->f("media_type"),get_caption('Image'),get_caption('File'))."</td>"
						."<td><a href='".$path.$db->f("filename")."' target='_blank'>".$db->f("filename")."</a></td>";
						if(file_exists($path.$db->f("filename"))) {
							$settings_media .= "<td>".round(filesize($path.$db->f("filename"))/1024,2)." KByte</td>";
						} else {
							$settings_media .= "<td>0 KByte</td>";
						}
					$settings_media .= "<td>"
						.create_link("index.php?mode=content&page=media&action=edit&mid=",$db->f("mid"),get_caption('EditText'),"edit",get_caption('Edit'))
						.create_link("index.php?mode=content&page=media&action=del&mid=",$db->f("mid"),get_caption('DeleteText'),"delete",get_caption('Delete'))
						."</td>"
						."</tr>";
				endwhile;
				$settings_media .= "</table>";
		
				// Set variables
				$tpl->set_var(array(
					"settings_title"    => "<h2>".get_caption('Mediacenter')." - ".get_caption('Contents')."</h2>",
					"settings_media"    => $settings_media,
					"settings_media_filter" => $media_filter,
					"settings_media_new" => "<p><a class='edit' href='index.php?mode=content&page=media&action=new' title='".get_caption('FileAdd')."'><img src='images/icon_add.gif' alt='".get_caption('FileAdd')."' border='0' width='16' height='16' /></a></p>"
					));
			break;
		}
?>