<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/mod_content.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

// Set template block
$tpl->set_block("tmpl_content", "content", "content_handle");

function get_structure($content_expl,$which=0,$selected_id=0)
{
	global $tbl_prefix,$sys_vars;
	// Init libraries
	$db = new DB_Tpl();
					
	$db->query("SELECT eid,name,level FROM ".$tbl_prefix."sys_explorer WHERE config_id LIKE '".$_SESSION["filter_content"]."' && preid = '".$which."' ORDER BY preid,sorting");
	while($db->next_record()):
		$indent = $db->f("level") * 10 - 10;
		if($selected_id == $db->f("eid")) {
			$content_expl .= "<option value='".$db->f("eid")."' selected='selected' style='margin-left: ".$indent."px; font-weight: bold;'>".$db->f("name")."</option>";
		} else {
			$content_expl .= "<option value='".$db->f("eid")."' style='margin-left: ".$indent."px;'>".$db->f("name")."</option>";
		}
			
		$content_expl = get_structure($content_expl,$db->f("eid"),$selected_id);
	endwhile;
	
	return($content_expl);
}

switch($page)
{
	case 'media':
		include_once("inc_content_media.php");
	break;
	
	case 'levels':
		include_once("inc_content_levels.php");
	break;
	
	case 'content':
		include_once("inc_content_content.php");
	break;
	
	default:
		// load and init tree class
		require_once(SYS_WORK_DIR."/class_tree.php");
		$tree = new tree($s_level_no);
		
		switch($action)
		{
			case 'new':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['content_explorer']['write'] == 1) {
					$_POST['name'] = validate_text($_POST['name']);
					$_POST['link_target'] = validate_text($_POST['link_target']);
					$_POST['link_url'] = validate_text($_POST['link_url']);
					$_POST['link_plugin'] = validate_text($_POST['link_plugin']);
					$_POST['link_param'] = validate_text($_POST['link_param']);
					$_POST['keywords'] = validate_text($_POST['keywords']);
					$_POST['startdate'] = validate_date($_POST['startdate']);
					$_POST['enddate'] = validate_date($_POST['enddate']);
					$_POST['template_id'] = validate_text($_POST['template_id']);
					
					if(!mandatory_field($_POST['name']) && $error == "") { $error = "<p class='error'>".get_caption('ErrorName')."</p>"; }
					if($_POST['startdate'] == "0" && $error == "") { $error = "<p class='error'>".get_caption('ErrorStartdate')."</p>"; $_POST['startdate'] = ""; }
					if($_POST['enddate'] == "0" && $error == "") { $error = "<p class='error'>".get_caption('ErrorEnddate')."</p>"; $_POST['enddate'] = ""; }
					
					$groups = "";
					$sys_counter = 0;
					$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
					while($db->next_record()):
						$sys_counter += 1;
						if($_POST[$sys_counter]) {
							$groups.= $db->f("name").",";
						}
					endwhile;
					$groups = substr($groups,0,-1);
					
					if($_POST['link_type'] == 2 && $_POST['link_eid'] == 0 && $error == "") {
						$error = "<p class='error'>".get_caption('ErrorLinkType')."</p>";
					}
					
					if($_POST['link_type'] != 3 && $_POST['link_plugin'] != 0 && $error == "") {
						$error = "<p class='error'>".get_caption('ErrorLinkTypePlugin')."</p>";
					}
					
					if($error == "") {
						$s = $tree->new_line($db,$_POST['insert'],$_POST['insert_where']);
						$created_by = $_SESSION["username"];
						$created_at = time();
						
						if($s['config_id'] != 0) {
							$db->query("INSERT INTO ".$tbl_prefix."sys_explorer VALUES ('','".$s['level']."','".$s['preid']."','".$s['sorting']."','".$s['config_id']."','".$_POST['name']."','".$_POST['link_type']."','".$_POST['link_target']."','".$_POST['link_url']."','".$_POST['link_eid']."','".$_POST['link_plugin']."','".$_POST['link_param']."','".$_POST['blocked']."','".$_POST['invisible']."','".$groups."','".$_POST['sub_perm']."','".$_POST['startdate']."','".$_POST['enddate']."','".$created_by."','".$created_at."','','','".$_POST['keywords']."',".$_POST['template_id'].")");
						}
						load_url("index.php?mode=content");
					}
				}
				
				$sys_usergroups = "";
				$sys_counter = 0;
				$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
				while($db->next_record()):
					$sys_counter += 1;
					if($_POST[$sys_counter]) {
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' checked='checked' /> ".$db->f("name")."<br />";
					} else {
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' /> ".$db->f("name")."<br />";
					}
				endwhile;
				
				$blocked = mark_selected_value($_POST['blocked']);
				$invisible = mark_selected_value($_POST['invisible']);
				$sub_perm = mark_selected_value($_POST['sub_perm']);
				
				if(!empty($_POST['startdate'])) {
					$_POST['startdate'] = date("d.m.Y",$_POST['startdate']);
				}
				if(!empty($_POST['enddate'])) {
					$_POST['enddate'] = date("d.m.Y",$_POST['enddate']);
				}
				
				$type_checked = array();
				$type_checked['1'] = "";
				$type_checked['2'] = "";
				$type_checked['3'] = "";
				if($_POST['link_type'] == 1) { $type_checked['1'] = "selected='selected'"; }
				if($_POST['link_type'] == 2) { $type_checked['2'] = "selected='selected'"; }
				if($_POST['link_type'] == 3) { $type_checked['3'] = "selected='selected'"; }
				
				$sys_link_type = "";
				$sys_link_type .= "<option value='0'>".get_caption('LinkType0')."</option>";
				$sys_link_type .= "<option value='1' ".$type_checked['1'].">".get_caption('LinkType1')."</option>";
				$sys_link_type .= "<option value='2' ".$type_checked['2'].">".get_caption('LinkType2')."</option>";
				$sys_link_type .= "<option value='3' ".$type_checked['3'].">".get_caption('LinkType3')."</option>";

				$link_eid = "";
				$insert_eid = "";
				if(!isset($_SESSION["filter_content"])) {
					$_SESSION["filter_content"] = "%";
				}
				
				$plugins = "";
				$db->query("SELECT pid,name FROM ".$tbl_prefix."sys_plugin WHERE plugin_type = '1' ORDER BY pid");
				while($db->next_record()):
					if($_POST['link_plugin'] == $db->f("pid")) {
						$plugins .= "<option value='".$db->f("pid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$plugins .= "<option value='".$db->f("pid")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				$sys_templates = "";
				$db->query("SELECT tid,name FROM ".$tbl_prefix."sys_template WHERE be = '0' ORDER BY tid");
				while($db->next_record()):
					if($_POST['template_id'] == $db->f("tid")) {
						$sys_templates .= "<option value='".$db->f("tid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_templates .= "<option value='".$db->f("tid")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				// Set variables
				$tpl->set_var(array(
					"content_title"        => "<h2>".get_caption('EntryAdd')." - ".get_caption('Contents')."</h2>",
					"tab_general"          => get_caption('General'),
					"tab_options"          => get_caption('Options'),
					"expl_action"          => "index.php?mode=content&action=new",
					"expl_error"           => $error,
					"expl_name"            => get_caption('Name'),
					"expl_name_input"      => "<input type='text' name='name' size='30' maxlength='250' value='".$_POST['name']."' />",
					"expl_link_type"       => get_caption('Type'),
					"expl_link_type_input" => "<select name='link_type'>".$sys_link_type."</select>",
					"expl_link_target"       => get_caption('TargetWindow'),
					"expl_link_target_input" => "<input type='text' name='link_target' size='20' maxlength='250' value='".$_POST['link_target']."' />",
					"expl_link_url"        => get_caption('Url'),
					"expl_link_url_input"  => "<input type='text' name='link_url' size='40' maxlength='250' value='".$_POST['link_url']."' />",
					"expl_link_eid"        => get_caption('Shortcut'),
					"expl_link_eid_input"  => "<select name='link_eid'><option value='0'>".get_caption('ShortcutOption1')."</option>".get_structure($content_expl,0,$_POST['link_eid'])."</select>",
					"expl_link_plugin"     => get_caption('Plugin'),
					"expl_link_plugin_input" => "<select name='link_plugin'><option value='0'>".get_caption('ShortcutOption1')."</option>".$plugins."</select>",
					"expl_link_param"        => get_caption('Parameter'),
					"expl_link_param_input"  => "<input type='text' name='link_param' size='20' maxlength='80' value='".$_POST['link_param']."' />",
					"expl_blocked"         => get_caption('Blocked'),
					"expl_blocked_input"   => "<select name='blocked'><option value='0' ".$blocked['1'].">".get_caption('No')."</option><option value='1' ".$blocked['2'].">".get_caption('Yes')."</option></select>",
					"expl_invisible"       => get_caption('Hidden'),
					"expl_invisible_input" => "<select name='invisible'><option value='0' ".$invisible['1'].">".get_caption('No')."</option><option value='1' ".$invisible['2'].">".get_caption('Yes')."</option></select>",
					"expl_groups"          => get_caption('Groups'),
					"expl_groups_input"    => $sys_usergroups,
					"expl_sub_perm"        => get_caption('SubPermissions'),
					"expl_sub_perm_input"  => "<select name='sub_perm'><option value='0' ".$sub_perm['1'].">".get_caption('No')."</option><option value='1' ".$sub_perm['2'].">".get_caption('Yes')."</option></select>",
					"expl_startdate"       => get_caption('Startdate'),
					"expl_startdate_input" => "<input type='text' name='startdate' size='10' maxlength='10' value='".$_POST['startdate']."' /> ".get_caption('DateFormat'),
					"expl_enddate"         => get_caption('Enddate'),
					"expl_enddate_input"   => "<input type='text' name='enddate' size='10' maxlength='10' value='".$_POST['enddate']."' /> ".get_caption('DateFormat'),
					"expl_keywords"        => get_caption('Keywords'),
					"expl_keywords_input"  => "<input type='text' name='keywords' size='60' maxlength='500' value='".$_POST['keywords']."' />",
					"expl_template"        => get_caption('Template'),
					"expl_template_input"  => "<select name='template_id'><option value='0'>".get_caption('ShortcutOption1')."</option>".$sys_templates."</select>",
					"expl_insert"          => get_caption('InsertAfter'),
					"expl_insert_input"    => "<select name='insert'>".get_structure($content_expl,0,$_POST['insert'])."</select>",
					"expl_insert_where"    => "<input type='radio' name='insert_where' value='0' checked='checked' /> ".get_caption('SameLevel')." <input type='radio' name='insert_where' value='1' /> ".get_caption('Underneath'),
					"expl_button_send"     => "<input class='btn' type='submit' name='send' value='".get_caption('EntryAdd')."' />"
					));
			break;
			
			case 'edit':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['content_explorer']['write'] == 1) {
					$_POST['name'] = validate_text($_POST['name']);
					$_POST['link_target'] = validate_text($_POST['link_target']);
					$_POST['link_url'] = validate_text($_POST['link_url']);
					$_POST['link_plugin'] = validate_text($_POST['link_plugin']);
					$_POST['link_param'] = validate_text($_POST['link_param']);
					$_POST['keywords'] = validate_text($_POST['keywords']);
					$_POST['template_id'] = validate_text($_POST['template_id']);
					
					if(!empty($_POST['startdate'])) {
						$_POST['startdate'] = validate_date($_POST['startdate']);
					}
					if(!empty($_POST['enddate'])) {
						$_POST['enddate'] = validate_date($_POST['enddate']);
					}
					
					if(!mandatory_field($_POST['name']) && $error == "") { $error = "<p class='error'>".get_caption('ErrorName')."</p>"; }
					if($_POST['startdate'] == "0" && $error == "") { $error = "<p class='error'>".get_caption('ErrorStartdate')."</p>"; }
					if($_POST['enddate'] == "0" && $error == "") { $error = "<p class='error'>".get_caption('ErrorEnddate')."</p>"; }
					
					if(mandatory_field($_POST['name'])) {
						$db->query("UPDATE ".$tbl_prefix."sys_explorer SET name = '".$_POST['name']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					}
					
					if($_POST['link_type'] == 2 && $_POST['link_eid'] == 0 && $error == "") {
						$error = "<p class='error'>".get_caption('ErrorLinkType')."</p>";
					}
					if(($_POST['link_type'] == 2 && $_POST['link_eid'] != 0) || $_POST['link_type'] != 2) {
						$db->query("UPDATE ".$tbl_prefix."sys_explorer SET link_type = '".$_POST['link_type']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					}
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET link_target = '".$_POST['link_target']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET link_url = '".$_POST['link_url']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET link_eid = '".$_POST['link_eid']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					
					if($_POST['link_type'] != 3 && $_POST['link_plugin'] != 0 && $error == "") {
						$error = "<p class='error'>".get_caption('ErrorLinkTypePlugin')."</p>";
					} else {
						$db->query("UPDATE ".$tbl_prefix."sys_explorer SET link_plugin = '".$_POST['link_plugin']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					}
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET link_param = '".$_POST['link_param']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET blocked = '".$_POST['blocked']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET invisible = '".$_POST['invisible']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET sub_perm = '".$_POST['sub_perm']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					
					if(strlen($_POST['startdate']) == 0 || $_POST['startdate'] > 0) {
						$db->query("UPDATE ".$tbl_prefix."sys_explorer SET startdate = '".$_POST['startdate']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					}
					if(strlen($_POST['enddate']) == 0 || $_POST['enddate'] > 0) {
						$db->query("UPDATE ".$tbl_prefix."sys_explorer SET enddate = '".$_POST['enddate']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					}
					
					$changed_by = $_SESSION["username"];
					$changed_at = time();
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET changed_by = '".$changed_by."', changed_at = '".$changed_at."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET keywords = '".$_POST['keywords']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET template_id = '".$_POST['template_id']."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					
					$groups = "";
					$sys_counter = 0;
					$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
					while($db->next_record()):
						$sys_counter += 1;
						if($_POST[$sys_counter]) {
							$groups.= $db->f("name").",";
						}
					endwhile;
					$groups = substr($groups,0,-1);
					$db->query("UPDATE ".$tbl_prefix."sys_explorer SET groups = '".$groups."' WHERE eid = '".$_POST['eid']."' LIMIT 1");
					
					if($_POST['sub_perm'] == 1) {
						$db->query("UPDATE ".$tbl_prefix."sys_explorer SET groups = '".$groups."' WHERE preid = '".$_POST['eid']."' ORDER BY preid");
					}
						
					if($error == "") {
						load_url("index.php?mode=content");
					}
				}
				
				// select record
				if(isset($_POST['eid'])) {
					$_GET['eid'] = $_POST['eid'];
				}
				$db->query("SELECT * FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$_GET['eid']."' ORDER BY eid LIMIT 1");
				while($db->next_record()):
					$eid = $db->f("eid");
					$name = $db->f("name");
					$link_type = $db->f("link_type");
					$link_target = $db->f("link_target");
					$link_url = $db->f("link_url");
					$link_eid = $db->f("link_eid");
					$link_plugin = $db->f("link_plugin");
					$link_param = $db->f("link_param");
					$blocked = $db->f("blocked");
					$invisible = $db->f("invisible");
					$groups = $db->f("groups");
					$groups = explode(",",$groups);
					$sub_perm = $db->f("sub_perm");
					$startdate = $db->f("startdate");
					$enddate = $db->f("enddate");
					$keywords = $db->f("keywords");
					$template_id = $db->f("template_id");
				endwhile;
				
				$sys_usergroups = "";
				$sys_counter = 0;
				$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
				while($db->next_record()):
					$sys_counter += 1;
					$group_checked = 0;
					for($i=0;$i<count($groups);$i++)
					{
						if($groups[$i] == $db->f("name")) {
							$group_checked = 1;
						}
					}
					if($group_checked) {					
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' checked='checked' /> ".$db->f("name")."<br />";
					} else {
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' /> ".$db->f("name")."<br />";
					}
				endwhile;
				
				$blocked = mark_selected_value($blocked);
				$invisible = mark_selected_value($invisible);
				$sub_perm = mark_selected_value($sub_perm);
				
				if(!empty($startdate)) {
					$startdate = date("d.m.Y",$startdate);
				}
				if(!empty($enddate)) {
					$enddate = date("d.m.Y",$enddate);
				}
				
				$type_checked = array();
				$type_checked['1'] = "";
				$type_checked['2'] = "";
				$type_checked['3'] = "";
				if($link_type == 1) { $type_checked['1'] = "selected='selected'"; }
				if($link_type == 2) { $type_checked['2'] = "selected='selected'"; }
				if($link_type == 3) { $type_checked['3'] = "selected='selected'"; }
				
				$sys_link_type = "";
				$sys_link_type .= "<option value='0'>".get_caption('LinkType0')."</option>";
				$sys_link_type .= "<option value='1' ".$type_checked['1'].">".get_caption('LinkType1')."</option>";
				$sys_link_type .= "<option value='2' ".$type_checked['2'].">".get_caption('LinkType2')."</option>";
				$sys_link_type .= "<option value='3' ".$type_checked['3'].">".get_caption('LinkType3')."</option>";
				
				$sys_link_eid = "";
				if(!isset($_SESSION["filter_content"])) {
					$_SESSION["filter_content"] = "%";
				}
				
				$plugins = "";
				$db->query("SELECT pid,name FROM ".$tbl_prefix."sys_plugin WHERE plugin_type = '1' ORDER BY pid");
				while($db->next_record()):
					if($link_plugin == $db->f("pid")) {
						$plugins .= "<option value='".$db->f("pid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$plugins .= "<option value='".$db->f("pid")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				$sys_templates = "";
				$db->query("SELECT tid,name FROM ".$tbl_prefix."sys_template WHERE be = '0' ORDER BY tid");
				while($db->next_record()):
					if($template_id == $db->f("tid")) {
						$sys_templates .= "<option value='".$db->f("tid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_templates .= "<option value='".$db->f("tid")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				// Set variables
				$tpl->set_var(array(
					"content_title"        => "<h2>".$name." - ".get_caption('EntryEdit')." - ".get_caption('Contents')."</h2>",
					"tab_general"          => get_caption('General'),
					"tab_options"          => get_caption('Options'),
					"expl_action"          => "index.php?mode=content&action=edit",
					"expl_error"           => $error,
					"expl_name"            => get_caption('Name'),
					"expl_name_input"      => "<input type='text' name='name' size='30' maxlength='250' value='".$name."' />",
					"expl_link_type"       => get_caption('Type'),
					"expl_link_type_input" => "<select name='link_type'>".$sys_link_type."</select>",
					"expl_link_target"       => get_caption('TargetWindow'),
					"expl_link_target_input" => "<input type='text' name='link_target' size='20' maxlength='250' value='".$link_target."' />",
					"expl_link_url"        => get_caption('Url'),
					"expl_link_url_input"  => "<input type='text' name='link_url' size='40' maxlength='250' value='".$link_url."' />",
					"expl_link_eid"        => get_caption('Shortcut'),
					"expl_link_eid_input"  => "<select name='link_eid'><option value='0'>".get_caption('ShortcutOption1')."</option>".get_structure($content_expl,0,$link_eid)."</select>",
					"expl_link_plugin"     => get_caption('Plugin'),
					"expl_link_plugin_input" => "<select name='link_plugin'><option value='0'>".get_caption('ShortcutOption1')."</option>".$plugins."</select>",
					"expl_link_param"        => get_caption('Parameter'),
					"expl_link_param_input"  => "<input type='text' name='link_param' size='20' maxlength='80' value='".$link_param."' />",
					"expl_blocked"         => get_caption('Blocked'),
					"expl_blocked_input"   => "<select name='blocked'><option value='0' ".$blocked['1'].">".get_caption('No')."</option><option value='1' ".$blocked['2'].">".get_caption('Yes')."</option></select>",
					"expl_invisible"       => get_caption('Hidden'),
					"expl_invisible_input" => "<select name='invisible'><option value='0' ".$invisible['1'].">".get_caption('No')."</option><option value='1' ".$invisible['2'].">".get_caption('Yes')."</option></select>",
					"expl_groups"          => get_caption('Groups'),
					"expl_groups_input"    => $sys_usergroups,
					"expl_sub_perm"        => get_caption('SubPermissions'),
					"expl_sub_perm_input"  => "<select name='sub_perm'><option value='0' ".$sub_perm['1'].">".get_caption('No')."</option><option value='1' ".$sub_perm['2'].">".get_caption('Yes')."</option></select>",
					"expl_startdate"       => get_caption('Startdate'),
					"expl_startdate_input" => "<input type='text' name='startdate' size='10' maxlength='10' value='".$startdate."' /> ".get_caption('DateFormat'),
					"expl_enddate"         => get_caption('Enddate'),
					"expl_enddate_input"   => "<input type='text' name='enddate' size='10' maxlength='10' value='".$enddate."' /> ".get_caption('DateFormat'),
					"expl_keywords"        => get_caption('Keywords'),
					"expl_keywords_input"  => "<input type='text' name='keywords' size='60' maxlength='500' value='".$keywords."' />",
					"expl_template"        => get_caption('Template'),
					"expl_template_input"  => "<select name='template_id'><option value='0'>".get_caption('ShortcutOption1')."</option>".$sys_templates."</select>",
					"expl_eid"             => "<input type='hidden' name='eid' value='".$eid."' />",
					"expl_button_send"     => "<input class='btn' type='submit' name='send' value='".get_caption('SaveChanges')."' />"
					));
			break;
			
			case 'del':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['content_explorer']['delete'] == 1) {
					$db->query("DELETE FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$_POST['eid']."' LIMIT 1");
					$db->query("DELETE FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$_POST['eid']."' ORDER BY explorer_id");
					// modify direct underneath entrie(s)
					if($_POST['preid'] > 0) {
						$db->query("UPDATE ".$tbl_prefix."sys_explorer SET preid = '".$_POST['preid']."',level = level-1 WHERE preid = '".$_POST['eid']."'");
					}
					load_url("index.php?mode=content");
				}
				
				// select record
				if(isset($_POST['eid'])) {
					$_GET['eid'] = $_POST['eid'];
				}
				$db->query("SELECT eid,name,preid,level FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$_GET['eid']."' ORDER BY eid LIMIT 1");
				while($db->next_record()):
					$eid = $db->f("eid");
					$name = $db->f("name");
					$preid = $db->f("preid");
					$level = $db->f("level");
				endwhile;
				
				if($level == 1) {
					load_url("index.php?mode=content");
				}
				
				// Set variables
				$tpl->set_var(array(
					"content_title"    => "<h2>".$name." - ".get_caption('EntryDelete')." - ".get_caption('Contents')."</h2>",
					"expl_action"      => "index.php?mode=content&action=del",
					"expl_question"    => "<p>".get_caption('DeleteQuestion')."</p>",
					"expl_name"    => "<p class='bold'>".$name."</p>",
					"expl_eid"         => "<input type='hidden' name='eid' value='".$eid."' /><input type='hidden' name='preid' value='".$preid."' />",
					"expl_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('EntryDelete')."' />"
					));
			break;
		
			default:
				// Create explorer overview
				$content_expl = "";
				
				// Filter
				if(isset($_POST["send"])) {
					if($_POST["filter_content"] == "") {
						unset($_SESSION["filter_content"]);
					} else {
						$_SESSION["filter_content"] = $_POST["filter_content"];
					}
					load_url("index.php?mode=content");
				}
				$filter_option = "<option value=''>- ".get_caption('Configurations')." -</option>";
				$db->query("SELECT cid,company_name FROM ".$tbl_prefix."sys_config ORDER BY cid");
				while($db->next_record()):
					$filter_option .= "<option value='".$db->f("cid")."'>".$db->f("company_name")."</option>";
				endwhile;
				
				$content_filter = "<form method='post'>";
				$content_filter .= "<table><tr>"
					."<td>".get_caption('Filter').":</td>"
					."<td><select name='filter_content'>".$filter_option."</select></td>"
					."<td><input class='btn' type='submit' name='send' value='".get_caption('SetFilter')."' /></td>";
					if($_SESSION["filter_content"] != "" && $_SESSION["filter_content"] != "%") {
						$content_filter .= "<td>".get_caption('Filter').": ".get_caption('Yes')."</td>";
					}
				$content_filter .= "</tr></table>";
				$content_filter .= "</form>";
				
				// Headline
				$content_expl .= "<table><tr class='bg_color3'>"
					//."<td><p class='bold'></p></td>"
					."<td><p class='bold'>".get_caption('Name')."</p></td>"
					."<td><p class='bold'>".get_caption('Type')."</p></td>"
					."<td><p class='bold'>".get_caption('Blocked')."</p></td>"
					."<td><p class='bold'>".get_caption('Hidden')."</p></td>"
					."<td><p class='bold'>".get_caption('Action')."</p></td>"
					."</tr>";
					
				// Lines
				if(empty($_SESSION["filter_content"])) {
					$_SESSION["filter_content"] = "%";
				}
				
				function get_entries($content_expl,$which=0)
				{
					global $tbl_prefix,$sys_vars;
					// Init libraries
					$db = new DB_Tpl();
					
					$db->query("SELECT * FROM ".$tbl_prefix."sys_explorer WHERE config_id LIKE '".$_SESSION["filter_content"]."' && preid = '".$which."' ORDER BY preid,sorting");
					while($db->next_record()):
						switch($db->f("link_type"))
						{
							case '3': $link_type = get_caption('LinkType3'); break;
							case '2': $link_type = get_caption('LinkType2'); break;
							case '1': $link_type = get_caption('LinkType1'); break;
							default: $link_type = get_caption('LinkType0'); break;
						}
						$indent = $db->f("level") * 10 - 10;
						$bold = "";
						if($db->f("level") == 1) {
							$bold = " class='bold'";
						}
						$content_expl .= "<tr class='bg_color2'>"
							."<td><p style='text-indent: ".$indent."px;'><a href='index.php?mode=content&page=content&eid=".$db->f("eid")."' title='".get_caption('CreatedAt').": ".date($sys_vars['datetime'],$db->f("created_at"))." - ".get_caption('CreatedBy').": ".$db->f("created_by")."'><span".$bold.">".$db->f("name")."</span></a></p></td>"
							."<td>".$link_type."</td>"
							."<td>".translate_yesno($db->f("blocked"),get_caption('Yes'),get_caption('No'))."</td>"
							."<td>".translate_yesno($db->f("invisible"),get_caption('Yes'),get_caption('No'))."</td>"
							."<td>"
							.create_link("index.php?mode=content&action=edit&eid=",$db->f("eid"),get_caption('EditText'),"edit",get_caption('Edit'))
							.create_link("index.php?mode=content&action=del&eid=",$db->f("eid"),get_caption('DeleteText'),"delete",get_caption('Delete'))
							.create_link("index.php?mode=content&page=content&eid=",$db->f("eid"),get_caption('ContentsText'),"edit",get_caption('IcoContents'))
							.create_link("../index.php?page=",$db->f("eid"),get_caption('Preview'),"edit",get_caption('IcoPreview'),1)
							."</td>"
							."</tr>";
						$content_expl = get_entries($content_expl,$db->f("eid"));
					endwhile;
					
					return($content_expl);
				}
				
				$content_expl = get_entries($content_expl);
				$content_expl .= "</table>";
		
				// Set variables
				$tpl->set_var(array(
					"content_title"    => "<h2>".get_caption('Summary')." - ".get_caption('Contents')."</h2>",
					"expl_overview"    => $content_expl,
					"expl_filter"      => $content_filter,
					"expl_new"         => "<p><a class='edit' href='index.php?mode=content&action=new' title='".get_caption('EntryAdd')."'><img src='images/icon_add.gif' alt='".get_caption('EntryAdd')."' border='0' width='16' height='16' /></a></p>"
					));
			break;
		}
		
		// Parse template with variables
		$tpl->parse("content_handle", "content", true);
	break;
}
?>