<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/versioncheck.php -
//
// Copyrights (c) 2006-2007 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

// Check current version
$version['current'] = get_current_version();

$fp = @fopen("http://www.bloofox.com/versioncheck/version.txt","r");
if(!$fp) {
	$version['check'] = "<p style='color: red;'>".get_caption('ErrorVersionCheck')."</p>\n";
} else {
	while(!@feof($fp))
	{
		$version['latest'] = @fread($fp, 10);
	}
	@fclose($fp);

	$version['latest'] = explode(".", $version['latest']);
	$version['current'] = explode(" ",$version['current']);
	$version['current'] = explode(".",$version['current'][1]);
	
	$version['check'] = "<p style='color: red;'>".get_caption('VersionUpdate')."</p>";
	if($version['latest'][0] <= $version['current'][0]) {
		if($version['latest'][0] < $version['current'][0]) {
			$version['check'] = "";
		}
		if($version['latest'][1] <= $version['current'][1]) {
			if($version['latest'][1] < $version['current'][1]) {
				$version['check'] = "";
			}
			if($version['latest'][2] <= $version['current'][2]) {
				$version['check'] = "";
			}
		}
	}
}
?>