<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - plugins/menu2/menu.php -
//
// Copyrights (c) 2006-2007 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

$curr_time = time();
$db2 = new DB_Tpl();

// get level 2 entry of selected entry to mark active link
function menu2_get_level2_eid($db2,$preid)
{
	global $tbl_prefix;
	
	$db2->query("SELECT eid,preid,level FROM ".$tbl_prefix."sys_explorer WHERE eid = ".$preid." ORDER BY preid,sorting LIMIT 1");
	while($db2->next_record()):
		$eid = $db2->f("eid");
		$preid = $db2->f("preid");
		$level = $db2->f("level");
	endwhile;
	
	if($level == 2) {
		return($eid);
	} else {
		if(isset($level)) {
			$eid = menu2_get_level2_eid($db2,$preid);
		}
	}
	
	return($eid);
}

$menu_vars['level2eid'] = menu2_get_level2_eid($db2,$sys_explorer_vars['preid']);
if(empty($menu_vars['level2eid'])) {
	$menu_vars['level2eid'] = $sys_explorer_vars['eid'];
}

// Set Template Block for "menu"
$tpl->set_block("plugin_menu2", "menu2", "menu2_handle");

// Select Records
$db2->query("SELECT * FROM ".$tbl_prefix."sys_explorer WHERE config_id = '".$sys_explorer_vars['config_id']."' && level = 2 && blocked = '0' && invisible = '0' && startdate < '".$curr_time."' && (enddate > '".$curr_time."' || enddate = '') ORDER BY sorting");

if($db2->num_rows() == 0)
{
	$tpl->set_var(array(
		"menu2_name"   => ""
		));
	$tpl->parse("menu2_handle", "menu2", true);
}

while($db2->next_record()):
	$menu_vars['target'] = "";
	if($db2->f("link_target") != "") {
		$menu_vars['target'] = "target='".$db2->f("link_target")."'";
	}
	$menu_vars['active'] = "";
	if($sys_explorer_vars['eid'] == $db2->f("eid") || $menu_vars['level2eid'] == $db2->f("eid")) {
		$menu_vars['active'] = "class='active'";
	}
		
	if($db2->f("link_type") == 1) {
		$menu_vars['name'] = "<a ".$menu_vars['active']." href='".$db2->f("link_url")."' ".$menu_vars['target']." title='".$db2->f("name")."'>".$db2->f("name")."</a>";
	} else {
		$menu_vars['name'] = "<a ".$menu_vars['active']." href='".create_url($db2->f("eid"),$db2->f("name"),$sys_config_vars['mod_rewrite'])."' ".$menu_vars['target']." title='".$db2->f("name")."'>".$db2->f("name")."</a>";
	}
	// Set Variables
	$tpl->set_var(array(
		"menu2_name"   => $menu_vars['name']
		));
	// Parse Template
	$tpl->parse("menu2_handle", "menu2", true);
endwhile;

/*****************/
/* submenu */
/*****************/

// Set Template Block for "submenu"
$tpl->set_block("plugin_submenu2", "submenu2", "submenu2_handle");

	// get the route of eids from current page up to level 2
	function get_level_eids($level_eids,$which)
	{
		global $tbl_prefix,$sys_explorer_vars,$sys_config_vars;
		
		// Init libraries
		$db = new DB_Tpl();
		$curr_time = time();
	 	$db->query("SELECT * FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$which."' && config_id = '".$sys_explorer_vars['config_id']."' && blocked = '0' && startdate < '".$curr_time."' && (enddate > '".$curr_time."' || enddate = '') ORDER BY preid,sorting");
		while($db->next_record()):
			$level_eids[$db->f("level")] = $db->f("eid");
			if($db->f("level") > 1) {
				$level_eids = get_level_eids($level_eids,$db->f("preid"));
			}
		endwhile;
		
		return($level_eids);
	}
	
$level_eids = get_level_eids($level_eids,$sys_explorer_vars['eid']);
	
// Select Records
	function set_entries($level_eids,$which,$total=0)
	{
		global $tpl,$tbl_prefix,$sys_explorer_vars,$sys_config_vars;
		
		// Init libraries
		$db = new DB_Tpl();
		$curr_time = time();
		
		// Get Records
		$db->query("SELECT * FROM ".$tbl_prefix."sys_explorer WHERE preid = '".$which."' && blocked = '0' && invisible = '0' && startdate < '".$curr_time."' && (enddate > '".$curr_time."' || enddate = '') ORDER BY sorting");
		while($db->next_record()):
			$menu_vars['target'] = "";
			if($db->f("link_target") != "") {
				$menu_vars['target'] = "target='".$db->f("link_target")."'";
			}
			$menu_vars['active'] = "";
			if($sys_explorer_vars['eid'] == $db->f("eid")) {
				$menu_vars['active'] = "class='active'";
			}
		
			if($db->f("link_type") == 1) {
				$menu_vars['name'] = "<a ".$menu_vars['active']." href='".$db->f("link_url")."' ".$menu_vars['target']." title='".$db->f("name")."'>".$db->f("name")."</a>";
			} else {
				$menu_vars['name'] = "<a ".$menu_vars['active']." href='".create_url($db->f("eid"),$db->f("name"),$sys_config_vars['mod_rewrite'])."' ".$menu_vars['target']." title='".$db->f("name")."'>".$db->f("name")."</a>";
			}
			
			if($db->f("level") > 3) {
				$menu_vars['width'] = ($db->f("level") - 3) * 10;
				$menu_vars['style'] = "style='margin-left: ".$menu_vars['width']."px'";
			}

			// Set Variables
			$tpl->set_var(array(
				"menu2_title"  => "<p class='bold'>".get_caption('Contents')."</p>",
				"menu2_name"   => $menu_vars['name'],
				"menu2_style"  => $menu_vars['style']
				));
			// Parse Template
			$tpl->parse("submenu2_handle", "submenu2", true);
			
			$total++;
			// level check
			if($level_eids[$db->f("level")] == $db->f("eid")) {
				$total = set_entries($level_eids,$db->f("eid"),$total);
			}
		endwhile;		
		
		return($total);
	}

if($login_required == 0) {
	$menu_vars['total'] = set_entries($level_eids,$menu_vars['level2eid']);
}

if($login_required == 1 || $menu_vars['total'] == 0)
{
	$tpl->set_var(array(
		"menu2_title"  => "",
		"menu2_name"   => "",
		"menu2_style"  => ""
		));
	$tpl->parse("submenu2_handle", "submenu2", true);
}
?>