<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - system/class_captcha.php -
//
// Copyrights (c) 2006 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

class captcha {

	// Init variables
	var $session_var = "";
	var $rand_string = "";
	
	// Constructor
	function captcha($var)
	{
		$this->session_var = $var;
		$this->create();
	}
	
	// Create random string
	function create()
	{
		mt_srand((double)microtime()*1000000);
		$signs = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890";
		$rand_string = "";
		while(strlen($rand_string) < 6)
		{
			$rand_string .= substr($signs,(rand()%(strlen($signs))),1);
		}
		
		$this->rand_string = $rand_string;
		$_SESSION[$this->session_var] = $this->rand_string;
	}
	
	// Clear session variable
	function clear($var)
	{
		unset($_SESSION[$var]);
	}
	
	// Create Image
	function image()
	{
		header ("Content-type:image/jpeg");

		$im = @ImageCreateFromJPEG("media/images/captcha.jpg"); /* Try to open image */
		// Original size
		$img_size = GetImageSize("media/images/captcha.jpg");

		// Calculate size
		$new_width = 120;
		$new_wp = (100 * $new_width) / $img_size[0];
		$new_height = ($img_size[1] * $new_wp) / 100;

		$new_image = imagecreatetruecolor($new_width, $new_height);
		ImageCopyResized($new_image, $im, 0, 0, 0, 0, $new_width, $new_height, $img_size[0], $img_size[1]);

		$text_color = ImageColorAllocate ($new_image, 0, 0, 0);
		ImageString ($new_image, 6, 30, 15, $_SESSION[$_GET['var']], $text_color);
		ImageJPEG ($new_image);

		imagedestroy ($new_image);
	}
}
?>