<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - update/update_0.2.3-0.3.php -
//
// Copyrights (c) 2007 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//*****************************************************************//

define ('SYS_INDEX', 1);

include("../config.php");
require_once("../system/class_mysql.php");

if(isset($_GET['sql']) || isset($_POST['sql'])) {
	die("Access denied! Forbidden SQL query.");
}

$db = new DB_Tpl();
$db2 = new DB_Tpl();

//**
// add new fields to table sys_explorer
// level,  preid, sorting
$sql = "ALTER TABLE `".$tbl_prefix."sys_explorer` ADD `level` INT(5) NOT NULL AFTER `eid`, ADD `preid` INT(10) UNSIGNED NOT NULL AFTER `level`, ADD `sorting` INT(10) NOT NULL AFTER `preid`;";
$db->query($sql);

//**
// Add field to identify configurations
$sql = "ALTER TABLE `".$tbl_prefix."sys_explorer` ADD `config_id` INT(10) UNSIGNED NOT NULL AFTER `sorting`;";
$db->query($sql);

//**
// copy config id to new field config_id translated from field s1
// get configs
$db2->query("SELECT * FROM ".$tbl_prefix."sys_config, ".$tbl_prefix."sys_explorer WHERE root_id = eid");
while($db2->next_record()):
	$config_id = $db2->f("cid");
	$s1 = $db2->f("s1");
	
	$sql = "UPDATE `".$tbl_prefix."sys_explorer` SET config_id = '".$config_id."' WHERE s1 = '".$s1."' ORDER BY s1,s2,s3,s4,s5,s6";
	$db->query($sql);
endwhile;

//**
// fill new fields with values
$db->query("SELECT * FROM ".$tbl_prefix."sys_explorer ORDER BY s1,s2,s3,s4,s5,s6");
while($db->next_record()):
	if($db->f('s6') != 0) { 
		$level = 6;
		$db2->query("UPDATE ".$tbl_prefix."sys_explorer SET preid = '".$pre5."' WHERE eid = '".$db->f("eid")."'");
		$sort = $db->f("s6");
		} else if($db->f('s5') != 0) { 
			$level = 5;
			$db2->query("UPDATE ".$tbl_prefix."sys_explorer SET preid = '".$pre4."' WHERE eid = '".$db->f("eid")."'");
			$pre5 = $db->f("eid");
			$sort = $db->f("s5");
			} else if($db->f('s4') != 0) { 
				$level = 4;
				$db2->query("UPDATE ".$tbl_prefix."sys_explorer SET preid = '".$pre3."' WHERE eid = '".$db->f("eid")."'");
				$pre4 = $db->f("eid");
				$sort = $db->f("s4");
				} else if($db->f('s3') != 0) { 
					$level = 3;
					$db2->query("UPDATE ".$tbl_prefix."sys_explorer SET preid = '".$pre2."' WHERE eid = '".$db->f("eid")."'");
					$pre3 = $db->f("eid");
					$sort = $db->f("s3");
					} else if($db->f('s2') != 0) { 
						$level = 2;
						$db2->query("UPDATE ".$tbl_prefix."sys_explorer SET preid = '".$pre1."' WHERE eid = '".$db->f("eid")."'");
						$pre2 = $db->f("eid");
						$sort = $db->f("s2");
						} else { 
							$level = 1;
							$pre1 = $db->f("eid");
							$sort = $db->f("s1");
							}
	$db2->query("UPDATE ".$tbl_prefix."sys_explorer SET level = '".$level."' WHERE eid = '".$db->f("eid")."'");
	$db2->query("UPDATE ".$tbl_prefix."sys_explorer SET sorting = '".$sort."' WHERE eid = '".$db->f("eid")."'");
endwhile;

//**
// Delete old fields
$sql = "ALTER TABLE `".$tbl_prefix."sys_explorer` DROP `s1`, DROP `s2`, DROP `s3`, DROP `s4`, DROP `s5`, DROP `s6`;";
$db->query($sql);

$sql = "ALTER TABLE `".$tbl_prefix."sys_content` DROP `align`, DROP `color`;";
$db->query($sql);

//**
// Change link_type in explorer entries from 4 and 5 to 0
$sql = "UPDATE `".$tbl_prefix."sys_explorer` SET link_type = 0 WHERE link_type IN (4,5)";
$db->query($sql);

//**
// Create Session table
$sql = "CREATE TABLE `".$tbl_prefix."sys_session` ("
	."`sid` int( 10 ) unsigned NOT NULL AUTO_INCREMENT ,"
	."`type` tinyint( 1 ) unsigned NOT NULL ,"
	."`uid` int( 10 ) unsigned NOT NULL ,"
	."`date` date NOT NULL ,"
	."`time` time NOT NULL ,"
	."`status` tinyint( 1 ) unsigned NOT NULL ,"
	."`timestamp` varchar( 20 ) NOT NULL ,"
	."`ip` varchar( 80 ) NOT NULL ,"
	."`session_id` varchar( 80 ) NOT NULL ,"
	."PRIMARY KEY ( `sid` )"
	.") TYPE = MYISAM AUTO_INCREMENT =1;";
$db->query($sql);

//**
// update finished
echo "<h1>Update to 0.3 finished</h1>";
echo "<p>Now you should delete or protect folder <b>/update</b> on your server!</p>";
?>