<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/mod_home.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

// Get latest login for current user
$last_login = $perm->get_last_login($db);
$failed_logins = $perm->count_failed_session($db,$last_login);

function get_lang_name($lang_id) {
	global $tbl_prefix;
	
	$local_db = new DB_Tpl();
	$local_db->query("SELECT name FROM ".$tbl_prefix."sys_lang WHERE lid = '".$lang_id."' ORDER BY lid");
	while($local_db->next_record()):
		$lang_name = $local_db->f("name");
	endwhile;
	
	return($lang_name);
}

// Set template block
$tpl->set_block("tmpl_content", "home", "home_handle");

switch($page)
{
	case 'profiles':
		include_once("inc_home_profiles.php");
	break;
	
	case 'stats':
		include_once("inc_home_stats.php");
	break;
	
	case 'myprofile':
		include_once("inc_home_myprofile.php");
	break;
	
	default:
		switch($action)
		{
			case 'new':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['config']['write'] == 1) {
					$_POST['company_name'] = validate_text($_POST['company_name']);
					$_POST['meta_title'] = validate_text($_POST['meta_title']);
					$_POST['meta_desc'] = validate_text($_POST['meta_desc']);
					$_POST['meta_keywords'] = validate_text($_POST['meta_keywords']);
					$_POST['meta_author'] = validate_text($_POST['meta_author']);
					$_POST['meta_copyright'] = validate_text($_POST['meta_copyright']);
					$_POST['mail'] = validate_text($_POST['mail']);
					
					if(!mandatory_field($_POST['company_name']) && $error == "") { $error = "<p class='error'>".get_caption('ErrorName')."</p>"; }
					if(!mandatory_field($_POST['meta_title']) && $error == "") { $error = "<p class='error'>".get_caption('ErrorTitle')."</p>"; }
					
					$groups = "";
					$sys_counter = 0;
					$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
					while($db->next_record()):
						$sys_counter += 1;
						if($_POST[$sys_counter]) {
							$groups.= $db->f("name").",";
						}
					endwhile;
					$groups = substr($groups,0,-1);
					
					if($error == "") {
						// insert config
						$db->query("INSERT INTO ".$tbl_prefix."sys_config VALUES ('','".$_POST['lang_id']."','".$_POST['urls']."','".$_POST['tmpl_id']."','".$_POST['company_name']."','','".$groups."','".$_POST['meta_title']."','".$_POST['meta_desc']."','".$_POST['meta_keywords']."','".$_POST['meta_author']."','".$_POST['meta_charset']."','".$_POST['meta_doctype']."','".$_POST['meta_copyright']."','".$_POST['mod_rewrite']."','".$_POST['mail']."')");
						$db->query("SELECT cid,company_name FROM ".$tbl_prefix."sys_config ORDER BY cid DESC LIMIT 1");
						while($db->next_record()):
							$config_id = $db->f("cid");
							$config_name = $db->f("company_name");
						endwhile;
						// insert explorer
						$created_by = $_SESSION["username"];
						$created_at = time();
						$db->query("INSERT INTO ".$tbl_prefix."sys_explorer VALUES ('','1','','10000','".$config_id."','".$config_name."','0','','','','','','','','','','','','".$created_by."','".$created_at."','','','',0)");
						// update config with root page
						$db->query("SELECT eid FROM ".$tbl_prefix."sys_explorer WHERE config_id = '".$config_id."' ORDER BY eid DESC LIMIT 1");
						while($db->next_record()):
							$expl_id = $db->f("eid");
						endwhile;
						$db->query("UPDATE ".$tbl_prefix."sys_config SET root_id = '".$expl_id."' WHERE cid = '".$config_id."' LIMIT 1");
						// header page
						load_url("index.php");
					}
				}
				
				$sys_usergroups = "";
				$sys_counter = 0;
				$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
				while($db->next_record()):
					$sys_counter += 1;
					if($_POST[$sys_counter]) {
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' checked='checked' /> ".$db->f("name")."<br />";
					} else {
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' /> ".$db->f("name")."<br />";
					}
				endwhile;
				
				$sys_lang = "";
				$db->query("SELECT lid,name FROM ".$tbl_prefix."sys_lang ORDER BY lid");
				while($db->next_record()):
					if($_POST['lang_id'] == $db->f("lid")) {
						$sys_lang.= "<option value='".$db->f("lid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_lang.= "<option value='".$db->f("lid")."'>".$db->f("name")."</option>";
					}
				endwhile;
		
				$sys_tmpl = "";
				$db->query("SELECT tid,name FROM ".$tbl_prefix."sys_template WHERE be = '0' ORDER BY tid");
				while($db->next_record()):
					if($_POST['tmpl_id'] == $db->f("tid")) {
						$sys_tmpl.= "<option value='".$db->f("tid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_tmpl.= "<option value='".$db->f("tid")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				$sys_charset = "";
				$db->query("SELECT * FROM ".$tbl_prefix."sys_charset ORDER BY name");
				while($db->next_record()):
					if($_POST['meta_charset'] == $db->f("name")) {
						$sys_charset .= "<option value='".$db->f("name")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_charset .= "<option value='".$db->f("name")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				$doctype = array();
				$doctype['2'] = "";
				$doctype['3'] = "";
				if($_POST['meta_doctype'] == "HTML 4.01") { $doctype['2'] = "selected='selected'"; }
				if($_POST['meta_doctype'] == "XHTML 1.0 Strict") { $doctype['3'] = "selected='selected'"; }
				
				$mod_rewrite = mark_selected_value($_POST['mod_rewrite']);
				
				// Set variables
				$tpl->set_var(array(
					"config_title"                => "<h2>".get_caption('ConfigurationAdd')." - ".get_caption('Configurations')."</h2>",
					"tab_general"                 => get_caption('General'),
					"tab_options"                 => get_caption('Options'),
					"config_action"               => "index.php?action=new",
					"config_error"                => $error,
					"config_name"                 => get_caption('Name'),
					"config_name_input"           => "<input type='text' name='company_name' size='30' maxlength='250' value='".$_POST['company_name']."' />",
					"config_lang_id"              => get_caption('Language'),
					"config_lang_id_input"        => "<select name='lang_id'>".$sys_lang."</select>",
					"config_templ_id"             => get_caption('Template'),
					"config_templ_id_input"       => "<select name='tmpl_id'>".$sys_tmpl."</select>",
					"config_urls"                 => get_caption('Urls'),
					"config_urls_input"           => "<textarea name='urls' cols='50' rows='4'>".$_POST['urls']."</textarea>",
					"config_groups"               => get_caption('Groups'),
					"config_groups_input"         => $sys_usergroups,
					"config_meta_title"           => get_caption('Title'),
					"config_meta_title_input"     => "<input type='text' name='meta_title' size='50' maxlength='250' value='".$_POST['meta_title']."' />",
					"config_meta_desc"            => get_caption('MetaDescription'),
					"config_meta_desc_input"      => "<textarea name='meta_desc' cols='50' rows='4' maxlength='500'>".$_POST['meta_desc']."</textarea>",
					"config_meta_keywords"        => get_caption('MetaKeywords'),
					"config_meta_keywords_input"  => "<textarea name='meta_keywords' cols='50' rows='4' maxlength='500'>".$_POST['meta_keywords']."</textarea>",
					"config_meta_author"          => get_caption('MetaAuthor'),
					"config_meta_author_input"    => "<input type='text' name='meta_author' size='30' maxlength='250' value='".$_POST['meta_author']."' />",
					"config_meta_charset"         => get_caption('MetaCharset'),
					"config_meta_charset_input"   => "<select name='meta_charset'>".$sys_charset."</select>",
					"config_meta_doctype"         => get_caption('MetaDocType'),
					"config_meta_doctype_input"   => "<select name='meta_doctype'><option value='XHTML 1.0 Transitional'>XHTML 1.0 Transitional</option><option value='HTML 4.01' ".$doctype['2'].">HTML 4.01</option><option value='XHTML 1.0 Strict' ".$doctype['3'].">XHTML 1.0 Strict</option></select>",
					"config_meta_copyright"       => get_caption('Copyright'),
					"config_meta_copyright_input" => "<input type='text' name='meta_copyright' size='50' maxlength='250' value='".$_POST['meta_copyright']."' />",
					"config_mod_rewrite"          => get_caption('ModRewrite'),
					"config_mod_rewrite_input"    => "<select name='mod_rewrite'><option value='0' ".$mod_rewrite['1'].">".get_caption('No')."</option><option value='1' ".$mod_rewrite['2'].">".get_caption('Yes')."</option></select>",
					"config_mail"                 => get_caption('Mail'),
					"config_mail_input"           => "<input type='text' name='mail' size='50' maxlength='250' value='".$_POST['mail']."' />",
					"config_button_send"          => "<input class='btn' type='submit' name='send' value='".get_caption('ConfigurationAdd')."' />"
					));
			break;
			
			case 'edit':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['config']['write'] == 1) {
					$_POST['company_name'] = validate_text($_POST['company_name']);
					$_POST['meta_title'] = validate_text($_POST['meta_title']);
					$_POST['meta_desc'] = validate_text($_POST['meta_desc']);
					$_POST['meta_keywords'] = validate_text($_POST['meta_keywords']);
					$_POST['meta_author'] = validate_text($_POST['meta_author']);
					$_POST['meta_copyright'] = validate_text($_POST['meta_copyright']);
					$_POST['mail'] = validate_text($_POST['mail']);
					
					if(!mandatory_field($_POST['company_name']) && $error == "") { $error = "<p class='error'>".get_caption('ErrorName')."</p>"; }
					if(!mandatory_field($_POST['meta_title']) && $error == "") { $error = "<p class='error'>".get_caption('ErrorTitle')."</p>"; }
					
					if(mandatory_field($_POST['company_name'])) {
						$db->query("UPDATE ".$tbl_prefix."sys_config SET company_name = '".$_POST['company_name']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					}
					
					$db->query("UPDATE ".$tbl_prefix."sys_config SET lang_id = '".$_POST['lang_id']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET tmpl_id = '".$_POST['tmpl_id']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET urls = '".$_POST['urls']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET root_id = '".$_POST['root_id']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					
					$groups = "";
					$sys_counter = 0;
					$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
					while($db->next_record()):
						$sys_counter += 1;
						if($_POST[$sys_counter]) {
							$groups.= $db->f("name").",";
						}
					endwhile;
					$groups = substr($groups,0,-1);
					$db->query("UPDATE ".$tbl_prefix."sys_config SET user_groups = '".$groups."' WHERE cid = '".$_POST['cid']."' LIMIT 1");

					if(mandatory_field($_POST['meta_title'])) {
						$db->query("UPDATE ".$tbl_prefix."sys_config SET meta_title = '".$_POST['meta_title']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					}
					$db->query("UPDATE ".$tbl_prefix."sys_config SET meta_desc = '".$_POST['meta_desc']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET meta_keywords = '".$_POST['meta_keywords']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET meta_author = '".$_POST['meta_author']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET meta_charset = '".$_POST['meta_charset']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET meta_doctype = '".$_POST['meta_doctype']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET meta_copyright = '".$_POST['meta_copyright']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					
					$db->query("UPDATE ".$tbl_prefix."sys_config SET mod_rewrite = '".$_POST['mod_rewrite']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					$db->query("UPDATE ".$tbl_prefix."sys_config SET mail = '".$_POST['mail']."' WHERE cid = '".$_POST['cid']."' LIMIT 1");
					
					if($error == "") {
						load_url("index.php");
					}
				}
				
				// select record
				if(isset($_POST['cid'])) {
					$_GET['cid'] = $_POST['cid'];
				}
				$db->query("SELECT * FROM ".$tbl_prefix."sys_config WHERE cid = '".$_GET['cid']."' ORDER BY cid LIMIT 1");
				while($db->next_record()):
					$cid = $db->f("cid");
					$company_name = $db->f("company_name");
					$lang_id = $db->f("lang_id");
					$tmpl_id = $db->f("tmpl_id");
					$urls = $db->f("urls");
					$root_id = $db->f("root_id");
					$groups = $db->f("user_groups");
					$groups = explode(",",$groups);
					$meta_title = $db->f("meta_title");
					$meta_desc = $db->f("meta_desc");
					$meta_keywords = $db->f("meta_keywords");
					$meta_author = $db->f("meta_author");
					$meta_charset = $db->f("meta_charset");
					$meta_doctype = $db->f("meta_doctype");
					$meta_copyright = $db->f("meta_copyright");
					$mod_rewrite = mark_selected_value($db->f("mod_rewrite"));
					$mail = $db->f("mail");
				endwhile;
				
				$sys_usergroups = "";
				$sys_counter = 0;
				$db->query("SELECT name FROM ".$tbl_prefix."sys_usergroup ORDER BY gid");
				while($db->next_record()):
					$sys_counter += 1;
					$group_checked = 0;
					for($i=0;$i<count($groups);$i++)
					{
						if($groups[$i] == $db->f("name")) {
							$group_checked = 1;
						}
					}
					if($group_checked) {					
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' checked='checked' /> ".$db->f("name")."<br />";
					} else {
						$sys_usergroups.= "<input type='checkbox' name='".$sys_counter."' value='".$db->f("name")."' /> ".$db->f("name")."<br />";
					}
				endwhile;
				
				$sys_lang = "";
				$db->query("SELECT lid,name FROM ".$tbl_prefix."sys_lang ORDER BY lid");
				while($db->next_record()):
					if($lang_id == $db->f("lid")) {
						$sys_lang.= "<option value='".$db->f("lid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_lang.= "<option value='".$db->f("lid")."'>".$db->f("name")."</option>";
					}
				endwhile;
		
				$sys_tmpl = "";
				$db->query("SELECT tid,name FROM ".$tbl_prefix."sys_template WHERE be = '0' ORDER BY tid");
				while($db->next_record()):
					if($tmpl_id == $db->f("tid")) {
						$sys_tmpl.= "<option value='".$db->f("tid")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_tmpl.= "<option value='".$db->f("tid")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				$sys_charset = "";
				$db->query("SELECT * FROM ".$tbl_prefix."sys_charset ORDER BY name");
				while($db->next_record()):
					if($meta_charset == $db->f("name")) {
						$sys_charset .= "<option value='".$db->f("name")."' selected='selected'>".$db->f("name")."</option>";
					} else {
						$sys_charset .= "<option value='".$db->f("name")."'>".$db->f("name")."</option>";
					}
				endwhile;
				
				$doctype = array();
				$doctype['2'] = "";
				$doctype['3'] = "";
				if($meta_doctype == "HTML 4.01") { $doctype['2'] = "selected='selected'"; }
				if($meta_doctype == "XHTML 1.0 Strict") { $doctype['3'] = "selected='selected'"; }
				
				$db->query("SELECT eid,name FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$root_id."' LIMIT 1");
				while($db->next_record()):
					$sys_expl .= "<option value='".$db->f("eid")."'>".$db->f("name")."</option>";
				endwhile;
				
				// Set variables
				$tpl->set_var(array(
					"config_title"                => "<h2>".get_caption('ConfigurationEdit')." - ".get_caption('Configurations')."</h2>",
					"tab_general"                 => get_caption('General'),
					"tab_options"                 => get_caption('Options'),
					"config_action"               => "index.php?action=edit",
					"config_error"                => $error,
					"config_name"                 => get_caption('Name'),
					"config_name_input"           => "<input type='text' name='company_name' size='30' maxlength='250' value='".$company_name."' />",
					"config_lang_id"              => get_caption('Language'),
					"config_lang_id_input"        => "<select name='lang_id'>".$sys_lang."</select>",
					"config_templ_id"             => get_caption('Template'),
					"config_templ_id_input"       => "<select name='tmpl_id'>".$sys_tmpl."</select>",
					"config_urls"                 => get_caption('Urls'),
					"config_urls_input"           => "<textarea name='urls' cols='50' rows='4'>".$urls."</textarea>",
					"config_root_id"              => get_caption('RootPage'),
					"config_root_id_input"        => "<select name='root_id'>".$sys_expl."</select>",
					"config_groups"               => get_caption('Groups'),
					"config_groups_input"         => $sys_usergroups,
					"config_meta_title"           => get_caption('Title'),
					"config_meta_title_input"     => "<input type='text' name='meta_title' size='50' maxlength='250' value='".$meta_title."' />",
					"config_meta_desc"            => get_caption('MetaDescription'),
					"config_meta_desc_input"      => "<textarea name='meta_desc' cols='50' rows='4' maxlength='500'>".$meta_desc."</textarea>",
					"config_meta_keywords"        => get_caption('MetaKeywords'),
					"config_meta_keywords_input"  => "<textarea name='meta_keywords' cols='50' rows='4' maxlength='500'>".$meta_keywords."</textarea>",
					"config_meta_author"          => get_caption('MetaAuthor'),
					"config_meta_author_input"    => "<input type='text' name='meta_author' size='30' maxlength='250' value='".$meta_author."' />",
					"config_meta_charset"         => get_caption('MetaCharset'),
					"config_meta_charset_input"   => "<select name='meta_charset'>".$sys_charset."</select>",
					"config_meta_doctype"         => get_caption('MetaDocType'),
					"config_meta_doctype_input"   => "<select name='meta_doctype'><option value='XHTML 1.0 Transitional'>XHTML 1.0 Transitional</option><option value='HTML 4.01' ".$doctype['2'].">HTML 4.01</option><option value='XHTML 1.0 Strict' ".$doctype['3'].">XHTML 1.0 Strict</option></select>",
					"config_meta_copyright"       => get_caption('Copyright'),
					"config_meta_copyright_input" => "<input type='text' name='meta_copyright' size='50' maxlength='250' value='".$meta_copyright."' />",
					"config_mod_rewrite"          => get_caption('ModRewrite'),
					"config_mod_rewrite_input"    => "<select name='mod_rewrite'><option value='0' ".$mod_rewrite['1'].">".get_caption('No')."</option><option value='1' ".$mod_rewrite['2'].">".get_caption('Yes')."</option></select>",
					"config_mail"                 => get_caption('Mail'),
					"config_mail_input"           => "<input type='text' name='mail' size='50' maxlength='250' value='".$mail."' />",
					"config_cid"                  => "<input type='hidden' name='cid' value='".$cid."' />",
					"config_button_send"          => "<input class='btn' type='submit' name='send' value='".get_caption('SaveChanges')."' />"
					));
			break;
			
			case 'del':
				if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['config']['delete'] == 1) {
					$db->query("SELECT eid FROM ".$tbl_prefix."sys_explorer WHERE config_id = '".$_POST['cid']."'");
					$total = $db->num_rows();
					if($total < 2) {
						while($db->next_record()):
							$eid = $db->f("eid");
						endwhile;
						// delete contents
						$db->query("DELETE FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$eid."'");
						// delete root page
						$db->query("DELETE FROM ".$tbl_prefix."sys_explorer WHERE config_id = '".$_POST['cid']."'");
						// delete config
						$db->query("DELETE FROM ".$tbl_prefix."sys_config WHERE cid = '".$_POST['cid']."' LIMIT 1");
					}
					load_url("index.php");
				}
				
				// select record
				if(isset($_POST['cid'])) {
					$_GET['cid'] = $_POST['cid'];
				}
				$db->query("SELECT cid,company_name FROM ".$tbl_prefix."sys_config WHERE cid = '".$_GET['cid']."' ORDER BY cid LIMIT 1");
				while($db->next_record()):
					$cid = $db->f("cid");
					$name = $db->f("company_name");
				endwhile;
				
				// Set variables
				$tpl->set_var(array(
					"config_title"       => "<h2>".get_caption('ConfigurationDelete')." - ".get_caption('Configurations')."</h2>",
					"config_action"      => "index.php?action=del",
					"config_question"    => "<p>".get_caption('DeleteQuestion')."</p>",
					"config_name"        => "<p class='bold'>".$name."</p>",
					"config_cid"         => "<input type='hidden' name='cid' value='".$cid."' />",
					"config_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('EntryDelete')."' />"
					));
			break;
		
			default:
				// Create config overview
				$home_config .= "<table><tr class='bg_color3'>"
					."<td><p class='bold'>".get_caption('Name')."</p></td>"
					."<td><p class='bold'>".get_caption('Language')."</p></td>"
					."<td><p class='bold'>".get_caption('Groups')."</p></td>"
					."<td><p class='bold'>".get_caption('Action')."</p></td>"
					."</tr>";
				$db->query("SELECT * FROM ".$tbl_prefix."sys_config ORDER BY company_name");
				while($db->next_record()):
					$url = explode("\n",$db->f("urls"));
					$home_config .= "<tr class='bg_color2'>"
						."<td><a href='".$url[0]."' target='_new'>".$db->f("company_name")."</a><br />".get_caption('Title').": ".$db->f("meta_title")."</td>"
						."<td>".get_lang_name($db->f("lang_id"))."</td>"
						."<td>".$db->f("user_groups")."</td>"
						."<td>".create_link("index.php?action=edit&cid=",$db->f("cid"),get_caption('EditText'),"edit",get_caption('Edit'))
						.create_link("index.php?action=del&cid=",$db->f("cid"),get_caption('DeleteText'),"delete",get_caption('Delete'))."</td>"
						."</tr>";
				endwhile;
				$home_config .= "</table>";
		
				// Create Who is online box
				$home_online = "<p class='small'>".get_caption('User').": ";
				$db->query("SELECT uid,username,curr_login FROM ".$tbl_prefix."sys_user WHERE online_status = '1' ORDER BY online_status");
				while($db->next_record()):
					$home_online .= "<a href='index.php?page=profiles&user_id=".$db->f("uid")."' title='".get_caption('Login').": ".date($sys_vars['datetime'],$db->f("curr_login"))."'>".$db->f("username")."</a> ";
				endwhile;
				$home_online .= "</p>";
		
				// Create YourData section
				$sys_profile = $perm->get_user_profile($db,$_SESSION["uid"]);
				$home_yourdata = "<p class='small'>"
					."<span class='smallbold'>".get_caption('Username').":</span> ".$_SESSION['username']."<br />"
					."<span class='smallbold'>".get_caption('Email').":</span> ".$sys_profile['email']."<br />"
					."<span class='smallbold'>".get_caption('Language').":</span> ".get_lang_name($sys_profile['be_lang'])."<br />"
					."</p>";
				
				if($sys_setting_vars['update_check'] == 1) {
					// Require file for version check
					require_once("versioncheck.php");
				}
				
				// Set variables
				if(empty($last_login)): $last_login = 0; endif;
				$tpl->set_var(array(
					"home_title"        => "<h2>".get_caption('WelcomeToAdmincenter')."</h2>",
					"home_lastlogin"    => "<p>".get_caption('YourLastLogin').": ".date($sys_vars['datetime'],$last_login)." ".get_caption('FailedLogins').": ".$failed_logins."</p>",
					"home_config_title" => "<p class='bold'>".get_caption('Configurations')."</p>",
					"home_config"       => $home_config,
					"home_config_new"   => "<p><a class='edit' href='index.php?action=new' title='".get_caption('ConfigurationNew')."'><img src='images/icon_add.gif' alt='".get_caption('ConfigurationNew')."' border='0' width='16' height='16' /></a></p>",
					"home_online_title" => "<p class='bold'>".get_caption('WhoIsOnline')."</p>",
					"home_online"       => $home_online,
					"home_yourdata_title" => "<p class='bold'>".get_caption('YourData')."</p>",
					"home_yourdata"      => $home_yourdata,
					"home_yourdata_edit" => "<p class='bold'><a href='index.php?page=myprofile'># ".get_caption('ProfileEdit')."</a></p>",
					"home_versioncheck"  => $version['check']
					));
			break;
		}
	break;
}

// Parse template with variables
$tpl->parse("home_handle", "home", true);
?>