<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/mod_menu.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

$sub_class1 = "class='subalways'";
$sub_class2 = "class='subalways'";
$sub_class3 = "class='subalways'";
$sub_class4 = "class='subalways'";
$sub_class5 = "class='subalways'";

switch($mod_mode)
{
	case '/mod_plugins.php':
		$menu_class1 = "class='always'";
		$menu_class2 = "class='always'";
		$menu_class3 = "class='current'";
		$menu_class4 = "class='always'";
		$menu_class5 = "class='always'";
		
		$sub_class3 = "class='subcurrent'";
		
		$menu_sub_1 = "<a ".$sub_class1." href=\"index.php?mode=settings\">".get_caption('Languages')."</a>";
		$menu_sub_2 = "<a ".$sub_class2." href=\"index.php?mode=settings&page=tmpl\">".get_caption('Templates')."</a>";
		$menu_sub_3 = "<a ".$sub_class3." href=\"index.php?mode=settings&page=plugins\">".get_caption('Plugins')."</a>";
		$menu_sub_4 = "<a ".$sub_class4." href=\"index.php?mode=settings&page=charset\">".get_caption('Charset')."</a>";
		$menu_sub_5 = "";
	break;
	
	case '/mod_content.php':
		$menu_class1 = "class='always'";
		$menu_class2 = "class='current'";
		$menu_class3 = "class='always'";
		$menu_class4 = "class='always'";
		$menu_class5 = "class='always'";
		switch($page)
		{
			case 'media': $sub_class3 = "class='subcurrent'"; break;
			case 'levels': $sub_class2 = "class='subcurrent'"; break;
			default: $sub_class1 = "class='subcurrent'"; break;
		}
		$menu_sub_1 = "<a ".$sub_class1." href=\"index.php?mode=content\">".get_caption('Summary')."</a>";
		$menu_sub_2 = "<a ".$sub_class2." href=\"index.php?mode=content&page=levels\">".get_caption('Levels')."</a>";
		$menu_sub_3 = "<a ".$sub_class3." href=\"index.php?mode=content&page=media\">".get_caption('Mediacenter')."</a>";
		$menu_sub_4 = "";
		$menu_sub_5 = "";
	break;

	case '/mod_settings.php':
		$menu_class1 = "class='always'";
		$menu_class2 = "class='always'";
		$menu_class3 = "class='current'";
		$menu_class4 = "class='always'";
		$menu_class5 = "class='always'";
		switch($page)
		{
			case 'tmpl': $sub_class2 = "class='subcurrent'"; break;
			case 'plugins': $sub_class3 = "class='subcurrent'"; break;
			case 'charset': $sub_class4 = "class='subcurrent'"; break;
			case 'general': $sub_class5 = "class='subcurrent'"; break;
			case 'editor': break;
			default: $sub_class1 = "class='subcurrent'"; break;
		}
		$menu_sub_1 = "<a ".$sub_class1." href=\"index.php?mode=settings\">".get_caption('Languages')."</a>";
		$menu_sub_2 = "<a ".$sub_class2." href=\"index.php?mode=settings&page=tmpl\">".get_caption('Templates')."</a>";
		$menu_sub_3 = "<a ".$sub_class3." href=\"index.php?mode=settings&page=plugins\">".get_caption('Plugins')."</a>";
		$menu_sub_4 = "<a ".$sub_class4." href=\"index.php?mode=settings&page=charset\">".get_caption('Charset')."</a>";
		$menu_sub_5 = "<a ".$sub_class5." href=\"index.php?mode=settings&page=general\">".get_caption('General')."</a>";
	break;
	
	case '/mod_user.php':
		$menu_class1 = "class='always'";
		$menu_class2 = "class='always'";
		$menu_class3 = "class='always'";
		$menu_class4 = "class='current'";
		$menu_class5 = "class='always'";
		switch($page)
		{
			case 'groups': $sub_class2 = "class='subcurrent'"; break;
			case 'permissions': $sub_class3 = "class='subcurrent'"; break;
			case 'sessions': $sub_class4 = "class='subcurrent'"; break;
			default: $sub_class1 = "class='subcurrent'"; break;
		}
		$menu_sub_1 = "<a ".$sub_class1." href=\"index.php?mode=user\">".get_caption('User')."</a>";
		$menu_sub_2 = "<a ".$sub_class2." href=\"index.php?mode=user&page=groups\">".get_caption('Groups')."</a>";
		$menu_sub_3 = "<a ".$sub_class3." href=\"index.php?mode=user&page=permissions\">".get_caption('Permissions')."</a>";
		$menu_sub_4 = "<a ".$sub_class4." href=\"index.php?mode=user&page=sessions\">".get_caption('Sessions')."</a>";
		$menu_sub_5 = "";
	break;
	
	case '/mod_tools.php':
		$menu_class1 = "class='always'";
		$menu_class2 = "class='always'";
		$menu_class3 = "class='always'";
		$menu_class4 = "class='always'";
		$menu_class5 = "class='current'";
		switch($page)
		{
			case 'upload': $sub_class2 = "class='subcurrent'"; break;
			case 'import': $sub_class3 = "class='subcurrent'"; break;
			case 'export': $sub_class4 = "class='subcurrent'"; break;
			case 'phpmyadmin': $sub_class5 = "class='subcurrent'"; break;
			default: $sub_class1 = "class='subcurrent'"; break;
		}
		$menu_sub_1 = "<a ".$sub_class1." href=\"index.php?mode=tools\">".get_caption('ToolsPeriodic')."</a>";
		$menu_sub_2 = "<a ".$sub_class2." href=\"index.php?mode=tools&page=upload\">".get_caption('ToolsUpload')."</a>";
		$menu_sub_3 = "<a ".$sub_class3." href=\"index.php?mode=tools&page=import\">".get_caption('ToolsImport')."</a>";
		$menu_sub_4 = "<a ".$sub_class4." href=\"index.php?mode=tools&page=export\">".get_caption('ToolsExport')."</a>";
		$menu_sub_5 = "<a ".$sub_class5." href=\"index.php?mode=tools&page=phpmyadmin\">".get_caption('ToolsPhpmyadmin')."</a>";
	break;
	
	default:
		$menu_class1 = "class='current'";
		$menu_class2 = "class='always'";
		$menu_class3 = "class='always'";
		$menu_class4 = "class='always'";
		$menu_class5 = "class='always'";
		switch($page)
		{
			case 'stats': $sub_class2 = "class='subcurrent'"; break;
			case 'myprofile': $sub_class3 = "class='subcurrent'"; break;
			default: $sub_class1 = "class='subcurrent'"; break;
		}
		$menu_sub_1 = "<a ".$sub_class1." href=\"index.php\">".get_caption('Configurations')."</a>";
		$menu_sub_2 = "<a ".$sub_class2." href=\"index.php?page=stats\">".get_caption('Statistics')."</a>";
		$menu_sub_3 = "<a ".$sub_class3." href=\"index.php?page=myprofile\">".get_caption('MyProfile')."</a>";
		$menu_sub_4 = "";
		$menu_sub_5 = "";
	break;
}

// Set template block
$tpl->set_block("tmpl_menu", "menu", "menu_handle");

// Set variables
$tpl->set_var(array(
	"menu_title"      => "<p class=\"logo\"><span class=\"small\">bloofoxCMS</span><br />AdminCenter</p>",
	"menu_db"         => get_caption('Database'),
	"menu_db_val"     => $db->Database,
	"menu_server"     => get_caption('Server'),
	"menu_server_val" => $_SERVER['SERVER_NAME'],
	"menu_version"    => get_caption('Version'),
	"menu_version_val"=> get_current_version(),
	"menu_login"      => get_caption('Username').": <a href='index.php?page=myprofile' title='".get_caption('MyProfile')."'>".$_SESSION["username"]."</a>",
	"menu_date"       => date($sys_vars['date']),
	"menu_home"       => "<a ".$menu_class1." href=\"index.php\" title='Home'>Home</a>",
	"menu_content"    => "<a ".$menu_class2." href=\"index.php?mode=content\" title='".get_caption('Contents')."'>".get_caption('Contents')."</a>",
	"menu_settings"   => "<a ".$menu_class3." href=\"index.php?mode=settings\" title='".get_caption('Administration')."'>".get_caption('Administration')."</a>",
	"menu_user"       => "<a ".$menu_class4." href=\"index.php?mode=user\" title='".get_caption('Security')."'>".get_caption('Security')."</a>",
	"menu_tools"      => "<a ".$menu_class5." href=\"index.php?mode=tools\" title='".get_caption('Tools')."'>".get_caption('Tools')."</a>",
	"menu_logout"     => "<a href='index.php?mode=logout' title='Logout'>Logout</a>",
	"menu_sub_1"      => $menu_sub_1,
	"menu_sub_2"      => $menu_sub_2,
	"menu_sub_3"      => $menu_sub_3,
	"menu_sub_4"      => $menu_sub_4,
	"menu_sub_5"      => $menu_sub_5
	));

// Parse template with variables
$tpl->parse("menu_handle", "menu", true);

?>