<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/page_handler.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

$action = $_GET['action'];
switch($mode)
{
	case 'plugins':
		$tmpl_menu = "menu.html";
		$tmpl_mode = $tmpl_path."plugins_admin.html";
		if(isset($_POST['pluginID'])) {
			$_GET['pluginID'] = $_POST['pluginID'];
		}

		if(!isset($_GET['pluginID'])) {
			load_url("index.php?mode=settings&page=plugins");
		}

		$db->query("SELECT admin_handler,install_path FROM ".$tbl_prefix."sys_plugin WHERE pid = '".$_GET['pluginID']."' LIMIT 1");
		while($db->next_record()):
			$plugin_path = $db->f("install_path");
			$plugin_admin_handler = $db->f("admin_handler");
		endwhile;
		
		if($plugin_admin_handler != "") {
			include("../plugins/".$plugin_path.$plugin_admin_handler);
		}
		$mod_mode = "/mod_plugins.php";
	break;
	
	case 'content':
		$tmpl_menu = "menu.html";
		switch($page)
		{
			case 'media':
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."mediacenter_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."mediacenter_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."mediacenter_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."mediacenter.html";
					break;
				}
			break;

			case 'levels':
				$tmpl_mode = $tmpl_path."levels.html";
			break;
			
			case 'content':
				switch($action)
				{
					case 'del':
						$tmpl_mode = $tmpl_path."content_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."content_edit.html";
					break;
				}
			break;
			
			default:
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."explorer_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."explorer_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."explorer_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."explorer.html";
					break;
				}
			break;
		}
		$mod_mode = "/mod_content.php";
		if($sys_group_vars['content'] == 0) {	
			$tmpl_mode = $tmpl_path."error.html";
			$mod_mode = "/mod_error.php";
		}
	break;
	
	case 'settings':
		$tmpl_menu = "menu.html";
		switch($page)
		{
			case 'charset':
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."charset_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."charset_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."charset_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."charset.html";
					break;
				}
			break;
		
			case 'editor':
				$tmpl_mode = $tmpl_path."editor.html";
			break;
			
			case 'plugins':
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."plugins_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."plugins_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."plugins_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."plugins.html";
					break;
				}
			break;
			
			case 'tmpl':
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."templates_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."templates_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."templates_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."templates.html";
					break;
				}
			break;
			
			case 'general':
				$tmpl_mode = $tmpl_path."settings_general.html";
			break;
			
			default: // languages
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."lang_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."lang_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."lang_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."settings.html";
					break;
				}
			break;
		}
		$mod_mode = "/mod_settings.php";
		if($sys_group_vars['settings'] == 0) {	
			$tmpl_mode = $tmpl_path."error.html";
			$mod_mode = "/mod_error.php";
		}
	break;
	
	case 'user':
		$tmpl_menu = "menu.html";
		switch($page)
		{
			case 'sessions':
				switch($action)
				{
					case 'kill':
						$tmpl_mode = $tmpl_path."sessions_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."sessions.html";
					break;
				}
			break;
			
			case 'permissions':
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."permissions_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."permissions_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."permissions_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."permissions.html";
					break;
				}
			break;
			
			case 'groups':
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."groups_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."groups_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."groups_delete.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."groups.html";
					break;
				}
			break;
			
			default: // users
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."user_new.html";
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."user_edit.html";
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."user_delete.html";
					break;
					
					case 'profile':
						$tmpl_mode = $tmpl_path."user_profile.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."user.html";
					break;
				}
			break;
		}
		$mod_mode = "/mod_user.php";
		if($sys_group_vars['permissions'] == 0) {	
			$tmpl_mode = $tmpl_path."error.html";
			$mod_mode = "/mod_error.php";
		}
	break;
	
	case 'tools':
		$tmpl_menu = "menu.html";
		switch($page)
		{
			case 'upload':
				switch($action)
				{
					case 'image':
						$tmpl_mode = $tmpl_path."upload_simple.html";
					break;
					
					case 'file':
						$tmpl_mode = $tmpl_path."upload_simple.html";
					break;
					
					case 'language':
						$tmpl_mode = $tmpl_path."upload_simple.html";
					break;
					
					case 'tmpl-file':
						$tmpl_mode = $tmpl_path."upload_advanced.html";
					break;
					
					case 'tmpl-image':
						$tmpl_mode = $tmpl_path."upload_advanced.html";
					break;
					
					default:
						$tmpl_mode = $tmpl_path."upload.html";
					break;
				}
			break;

			case 'import':
				switch($action)
				{
					default:
						$tmpl_mode = $tmpl_path."import.html";
					break;
				}
			break;
			
			case 'export':
				switch($action)
				{
					default:
						$tmpl_mode = $tmpl_path."export.html";
					break;
				}
			break;
			
			case 'phpmyadmin':
				switch($action)
				{
					default:
						$tmpl_mode = $tmpl_path."phpmyadmin.html";
					break;
				}
			break;
			
			default: // periodic activities
				switch($action)
				{
					case 'optimize':
						$tmpl_mode = $tmpl_path."tools_optimize.html";
					break;
					
					case 'inactive_users':
						$tmpl_mode = $tmpl_path."tools_inactiveusers.html";
					break;
					
					case 'deleted_users':
						$tmpl_mode = $tmpl_path."tools_deletedusers.html";
					break;
					
					case 'sessions':
						$tmpl_mode = $tmpl_path."tools_sessions.html";
					break;
					
					default: // overview
						$tmpl_mode = $tmpl_path."tools.html";
					break;
				}
			break;
		}
		$mod_mode = "/mod_tools.php";
		if($sys_group_vars['tools'] == 0) {	
			$tmpl_mode = $tmpl_path."error.html";
			$mod_mode = "/mod_error.php";
		}
	break;
	
	case 'logout':
		$perm->logout($db,"index.php");
	break;
	
	case 'login':
		$tmpl_menu = "menu_empty.html";
		$tmpl_mode = $tmpl_path."login.html";
		$mod_mode = "/mod_login.php";
	break;

	default:
		$tmpl_menu = "menu.html";
		switch($page)
		{
			case 'profiles':
				$tmpl_mode = $tmpl_path."profiles.html";
			break;
			
			case 'stats':
				$tmpl_mode = $tmpl_path."stats.html";
			break;
			
			case 'myprofile':
				$tmpl_mode = $tmpl_path."myprofile.html";
			break;
			
			default: // configs
				switch($action)
				{
					case 'new':
						$tmpl_mode = $tmpl_path."config_new.html";
						if($sys_group_vars['configure'] == 0) {	
							$tmpl_mode = $tmpl_path."error.html";
						}
					break;
					
					case 'edit':
						$tmpl_mode = $tmpl_path."config_edit.html";
						if($sys_group_vars['configure'] == 0) {	
							$tmpl_mode = $tmpl_path."error.html";
						}
					break;
					
					case 'del':
						$tmpl_mode = $tmpl_path."config_delete.html";
						if($sys_group_vars['configure'] == 0) {	
							$tmpl_mode = $tmpl_path."error.html";
						}
					break;
					
					default:
						$tmpl_mode = $tmpl_path."home.html";
					break;
				}
			break;
		}
		$mod_mode = "/mod_home.php";
		if($sys_group_vars['configure'] == 0 && ($action == "new" || $action == "edit" || $action == "del")) {	
			$mod_mode = "/mod_error.php";
		}
	break;
}
?>