-- phpMyAdmin SQL Dump
-- version 2.9.0
-- http://www.phpmyadmin.net
-- 
-- --------------------------------------------------------

CREATE TABLE `bfCMS_sys_charset` (
  `cid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`cid`)
) TYPE=MyISAM AUTO_INCREMENT=24 ;

INSERT INTO `bfCMS_sys_charset` VALUES (2, 'windows-1252');
INSERT INTO `bfCMS_sys_charset` VALUES (4, 'utf-8');
INSERT INTO `bfCMS_sys_charset` VALUES (5, 'windows-1250');
INSERT INTO `bfCMS_sys_charset` VALUES (6, 'windows-1251');
INSERT INTO `bfCMS_sys_charset` VALUES (7, 'windows-1253');
INSERT INTO `bfCMS_sys_charset` VALUES (8, 'windows-1254');
INSERT INTO `bfCMS_sys_charset` VALUES (9, 'windows-1255');
INSERT INTO `bfCMS_sys_charset` VALUES (10, 'windows-1256');
INSERT INTO `bfCMS_sys_charset` VALUES (11, 'windows-1257');
INSERT INTO `bfCMS_sys_charset` VALUES (12, 'windows-1258');
INSERT INTO `bfCMS_sys_charset` VALUES (13, 'ISO-8859-1');
INSERT INTO `bfCMS_sys_charset` VALUES (14, 'ISO-8859-2');
INSERT INTO `bfCMS_sys_charset` VALUES (15, 'ISO-8859-3');
INSERT INTO `bfCMS_sys_charset` VALUES (16, 'ISO-8859-4');
INSERT INTO `bfCMS_sys_charset` VALUES (17, 'ISO-8859-5');
INSERT INTO `bfCMS_sys_charset` VALUES (18, 'ISO-8859-6');
INSERT INTO `bfCMS_sys_charset` VALUES (19, 'ISO-8859-7');
INSERT INTO `bfCMS_sys_charset` VALUES (20, 'ISO-8859-8');
INSERT INTO `bfCMS_sys_charset` VALUES (21, 'ISO-8859-9');
INSERT INTO `bfCMS_sys_charset` VALUES (22, 'ISO-8859-10');
INSERT INTO `bfCMS_sys_charset` VALUES (23, 'ISO-8859-11');

CREATE TABLE `bfCMS_sys_config` (
  `cid` int(10) unsigned NOT NULL auto_increment,
  `lang_id` int(10) unsigned NOT NULL default '0',
  `urls` text NOT NULL,
  `tmpl_id` int(10) unsigned NOT NULL default '0',
  `company_name` varchar(250) NOT NULL default '',
  `root_id` int(10) unsigned NOT NULL default '0',
  `user_groups` text NOT NULL,
  `meta_title` varchar(250) NOT NULL default '',
  `meta_desc` text NOT NULL,
  `meta_keywords` text NOT NULL,
  `meta_author` varchar(250) NOT NULL default '',
  `meta_charset` varchar(250) NOT NULL default '',
  `meta_doctype` varchar(250) NOT NULL default '',
  `meta_copyright` varchar(250) NOT NULL default '',
  `mod_rewrite` enum('0','1') NOT NULL default '0',
  `mail` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`cid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `bfCMS_sys_content` (
  `cid` int(10) unsigned NOT NULL auto_increment,
  `explorer_id` int(10) unsigned NOT NULL default '0',
  `sorting` int(10) unsigned NOT NULL default '0',
  `content_type` int(2) unsigned NOT NULL default '0',
  `title` varchar(250) NOT NULL default '',
  `text` longtext NOT NULL,
  `invisible` enum('0','1') NOT NULL,
  `created_by` VARCHAR(250) NOT NULL,
  `created_at` VARCHAR(20) NOT NULL,
  `changed_by` VARCHAR(250) NOT NULL,
  `changed_at` VARCHAR(20) NOT NULL,
  PRIMARY KEY  (`cid`),
  KEY `explorer_id` (`explorer_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `bfCMS_sys_explorer` (
  `eid` int(10) unsigned NOT NULL auto_increment,
  `level` int(5) NOT NULL default '0',
  `preid` int(10) unsigned NOT NULL default '0',
  `sorting` int(10) NOT NULL default '0',
  `config_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(250) NOT NULL default '',
  `link_type` int(1) unsigned NOT NULL default '0',
  `link_target` varchar(250) NOT NULL default '',
  `link_url` varchar(250) NOT NULL default '',
  `link_eid` int(10) unsigned NOT NULL default '0',
  `link_plugin` int(10) unsigned NOT NULL default '0',
  `link_param` varchar(80) NOT NULL default '',
  `blocked` enum('0','1') NOT NULL default '0',
  `invisible` enum('0','1') NOT NULL default '0',
  `groups` text NOT NULL,
  `sub_perm` enum('0','1') NOT NULL default '0',
  `startdate` varchar(20) NOT NULL default '',
  `enddate` varchar(20) NOT NULL default '',
  `created_by` varchar(250) NOT NULL default '',
  `created_at` varchar(20) NOT NULL default '',
  `changed_by` varchar(250) NOT NULL default '',
  `changed_at` varchar(20) NOT NULL default '',
  `keywords` text NOT NULL,
  `template_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`eid`),
  KEY `preid` (`preid`,`sorting`),
  KEY `config` (`config_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `bfCMS_sys_lang` (
  `lid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(250) NOT NULL default '',
  `flag` varchar(250) NOT NULL default '',
  `filename` varchar(250) NOT NULL default '',
  `date` varchar(20) NOT NULL default 'd.m.Y',
  `datetime` varchar(20) NOT NULL default 'd.m.Y - H:i',
  `token` varchar(5) NOT NULL default '',
  PRIMARY KEY  (`lid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `bfCMS_sys_lang` VALUES (1, 'English', 'en.gif', 'english.php', 'm/d/Y', 'm/d/Y - H:i', 'en');
INSERT INTO `bfCMS_sys_lang` VALUES (2, 'Deutsch', 'de.gif', 'deutsch.php', 'd.m.Y', 'd.m.Y - H:i', 'de');

CREATE TABLE `bfCMS_sys_media` (
  `mid` int(10) unsigned NOT NULL auto_increment,
  `media_type` int(10) unsigned NOT NULL default '0',
  `filename` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`mid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `bfCMS_sys_permission` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `group_id` int(10) unsigned NOT NULL default '0',
  `page` varchar(80) NOT NULL default '',
  `object_w` enum('0','1') NOT NULL default '0',
  `object_d` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`pid`),
  KEY `group_id` (`group_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `bfCMS_sys_plugin` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(250) NOT NULL default '',
  `index_file` varchar(250) NOT NULL default '',
  `index_tmpl` varchar(250) NOT NULL default '',
  `tmpl_handler` varchar(250) NOT NULL default '',
  `admin_file` varchar(250) NOT NULL default '',
  `admin_handler` varchar(250) NOT NULL default '',
  `install_path` varchar(250) NOT NULL default '',
  `plugin_type` int(1) unsigned NOT NULL default '0',
  `status` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`pid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `bfCMS_sys_plugin` VALUES (1, 'date', 'date.php', 'date.html', '', '', '', 'date/', 0, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (2, 'sitemap', 'sitemap.php', 'sitemap.html', '', 'admin.php', '', 'sitemap/', 1, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (3, 'search', 'search.php', 'search.html', '', 'admin.php', '', 'search/', 1, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (4, 'searchbox', 'searchbox.php', 'searchbox.html', '', '', '', 'search/', 0, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (5, 'contact', 'contact.php', 'contact.html', '', 'admin.php', '', 'contact/', 1, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (7, 'location', 'location.php', 'location.html', '', '', '', 'location/', 0, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (10, 'menu2', 'menu.php', 'menu.html', '', '', '', 'menu2/', 0, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (11, 'submenu2', 'menu.php', 'submenu.html', '', '', '', 'menu2/', 0, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (15, 'registration', 'register.php', 'register_account.html', 'tmpl_handler.php', '', '', 'registration/', 1, '1');
INSERT INTO `bfCMS_sys_plugin` VALUES (16, 'login', 'login.php', 'login.html', '', '', '', 'login/', 0, '1');

CREATE TABLE `bfCMS_sys_profile` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(10) unsigned NOT NULL default '0',
  `firstname` varchar(250) NOT NULL default '',
  `lastname` varchar(250) NOT NULL default '',
  `address1` varchar(250) NOT NULL default '',
  `address2` varchar(250) NOT NULL default '',
  `city` varchar(250) NOT NULL default '',
  `zip_code` varchar(20) NOT NULL default '',
  `email` varchar(250) NOT NULL default '',
  `birthday` varchar(20) NOT NULL default '',
  `gender` enum('0','1') NOT NULL default '0',
  `picture` varchar(250) NOT NULL default '',
  `be_lang` int(10) unsigned NOT NULL default '0',
  `be_tmpl` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`pid`),
  KEY `user_id` (`user_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `bfCMS_sys_profile` VALUES (1, 1, 'admin', '', '', '', '', '', '', '', '0', '', 1, 0);

CREATE TABLE `bfCMS_sys_session` (
  `sid` INT( 10 ) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY ,
  `type` TINYINT( 1 ) UNSIGNED NOT NULL ,
  `uid` INT( 10 ) UNSIGNED NOT NULL ,
  `date` DATE NOT NULL ,
  `time` TIME NOT NULL ,
  `status` TINYINT( 1 ) UNSIGNED NOT NULL ,
  `timestamp` VARCHAR( 20 ) NOT NULL ,
  `ip` VARCHAR( 80 ) NOT NULL ,
  `session_id` VARCHAR( 80 ) NOT NULL
) TYPE = MYISAM ;

CREATE TABLE `bfCMS_sys_setting` (
  `sid` int(10) unsigned NOT NULL auto_increment,
  `update_check` enum('0','1') collate latin1_general_ci NOT NULL,
  `register_notify` enum('0','1') collate latin1_general_ci NOT NULL,
  `login_protection` enum('0','1') collate latin1_general_ci NOT NULL,
  `online_status` enum('0','1') collate latin1_general_ci NOT NULL,
  `user_content_only` enum('0','1') collate latin1_general_ci NOT NULL,
  PRIMARY KEY  (`sid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `bfCMS_sys_setting` VALUES (1, '0', '0', '1', '0', '0');

CREATE TABLE `bfCMS_sys_template` (
  `tid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(250) NOT NULL default '',
  `template` varchar(250) NOT NULL default '',
  `css` varchar(250) NOT NULL default '',
  `be` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`tid`),
  KEY `be` (`be`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `bfCMS_sys_template` VALUES (1, 'default', 'default.html', 'default.css', '0');
INSERT INTO `bfCMS_sys_template` VALUES (2, 'blue3columns', 'default.html', 'default.css', '0');
INSERT INTO `bfCMS_sys_template` VALUES (3, 'grey2columns', 'default.html', 'default.css', '0');

CREATE TABLE `bfCMS_sys_user` (
  `uid` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(250) NOT NULL default '',
  `password` varchar(250) NOT NULL default '',
  `groups` text NOT NULL,
  `online_status` enum('0','1') NOT NULL default '0',
  `blocked` enum('0','1') NOT NULL default '0',
  `deleted` enum('0','1') NOT NULL default '0',
  `status` enum('0','1') NOT NULL default '0',
  `user_since` varchar(20) NOT NULL default '',
  `last_login` varchar(20) NOT NULL default '',
  `curr_login` varchar(20) NOT NULL default '',
  `key` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`uid`),
  KEY `status` (`status`),
  KEY `online` (`online_status`,`last_login`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `bfCMS_sys_user` VALUES (1, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'Admin', '0', '0', '0', '1', '0', '0', '0', 'fcghv876zg');

CREATE TABLE `bfCMS_sys_usergroup` (
  `gid` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(250) NOT NULL default '',
  `backend` enum('0','1') NOT NULL default '0',
  `content` enum('0','1') NOT NULL default '0',
  `settings` enum('0','1') NOT NULL default '0',
  `configure` enum('0','1') NOT NULL default '0',
  `permissions` enum('0','1') NOT NULL default '0',
  `tools` enum('0','1') NOT NULL default '0',
  `demo` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`gid`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

INSERT INTO `bfCMS_sys_usergroup` VALUES (1, 'User', '0', '0', '0', '0', '0', '0', '0');
INSERT INTO `bfCMS_sys_usergroup` VALUES (2, 'Editor', '1', '1', '0', '0', '0', '0', '0');
INSERT INTO `bfCMS_sys_usergroup` VALUES (3, 'Admin', '1', '1', '1', '1', '1', '1', '0');
