<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - install/step2.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

if(!file_exists("../system/class_mysql.php")) {
	load_url("index.php?page=1");
}

if(isset($_POST['send'])) {
	$error = "";
	
	require_once("../system/class_mysql.php");
	$db = new DB_Tpl();
	
	$res = $db->query("CREATE TABLE `".$tbl_prefix."sys_charset` ("
		."`cid` int(10) unsigned NOT NULL auto_increment,"
		."`name` varchar(30) NOT NULL default '',"
		."PRIMARY KEY  (`cid`)"
		.") TYPE=MyISAM AUTO_INCREMENT=1 ;");
		
	if($res == FALSE) {
		die("<p><a href='javascript:history.back(1)'>Back</a></p>");
	}
	
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (3, 'windows-1252');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (4, 'utf-8');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (5, 'windows-1250');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (6, 'windows-1251');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (7, 'windows-1253');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (8, 'windows-1254');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (9, 'windows-1255');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (10, 'windows-1256');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (11, 'windows-1257');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (12, 'windows-1258');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (13, 'ISO-8859-1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (14, 'ISO-8859-2');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (15, 'ISO-8859-3');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (16, 'ISO-8859-4');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (17, 'ISO-8859-5');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (18, 'ISO-8859-6');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (19, 'ISO-8859-7');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (20, 'ISO-8859-8');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (21, 'ISO-8859-9');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (22, 'ISO-8859-10');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_charset` VALUES (23, 'ISO-8859-11');");
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_config` ("
		."`cid` int(10) unsigned NOT NULL auto_increment,"
		."`lang_id` int(10) unsigned NOT NULL default '0',"
		."`urls` text NOT NULL,"
		."`tmpl_id` int(10) unsigned NOT NULL default '0',"
		."`company_name` varchar(250) NOT NULL default '',"
		."`root_id` int(10) unsigned NOT NULL default '0',"
		."`user_groups` text NOT NULL,"
		."`meta_title` varchar(250) NOT NULL default '',"
		."`meta_desc` text NOT NULL,"
		."`meta_keywords` text NOT NULL,"
		."`meta_author` varchar(250) NOT NULL default '',"
		."`meta_charset` varchar(250) NOT NULL default '',"
		."`meta_doctype` varchar(250) NOT NULL default '',"
		."`meta_copyright` varchar(250) NOT NULL default '',"
		."`mod_rewrite` enum('0','1') NOT NULL default '0',"
		."`mail` varchar(250) NOT NULL default '',"
		."PRIMARY KEY  (`cid`)"
		.") TYPE=MyISAM AUTO_INCREMENT=1 ;");
		
	$db->query("CREATE TABLE `".$tbl_prefix."sys_content` (
		`cid` int(10) unsigned NOT NULL auto_increment,
		`explorer_id` int(10) unsigned NOT NULL default '0',
		`sorting` int(10) unsigned NOT NULL default '0',
		`content_type` int(2) unsigned NOT NULL default '0',
		`title` varchar(250) NOT NULL default '',
		`text` longtext NOT NULL,
		`invisible` ENUM('0','1') NOT NULL,
		`created_by` VARCHAR(250) NOT NULL,
		`created_at` VARCHAR(20) NOT NULL,
		`changed_by` VARCHAR(250) NOT NULL,
		`changed_at` VARCHAR(20) NOT NULL,
		PRIMARY KEY  (`cid`),
		KEY `explorer_id` (`explorer_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_explorer` (
		`eid` int(10) unsigned NOT NULL auto_increment,
		`level` int(5) NOT NULL default '0',
		`preid` int(10) unsigned NOT NULL default '0',
		`sorting` int(10) NOT NULL default '0',
		`config_id` int(10) unsigned NOT NULL default '0',
		`name` varchar(250) NOT NULL default '',
		`link_type` int(1) unsigned NOT NULL default '0',
		`link_target` varchar(250) NOT NULL default '',
		`link_url` varchar(250) NOT NULL default '',
		`link_eid` int(10) unsigned NOT NULL default '0',
		`link_plugin` int(10) unsigned NOT NULL default '0',
		`link_param` varchar(80) NOT NULL default '',
		`blocked` enum('0','1') NOT NULL default '0',
		`invisible` enum('0','1') NOT NULL default '0',
		`groups` text NOT NULL,
		`sub_perm` enum('0','1') NOT NULL default '0',
		`startdate` varchar(20) NOT NULL default '',
		`enddate` varchar(20) NOT NULL default '',
		`created_by` varchar(250) NOT NULL default '',
		`created_at` varchar(20) NOT NULL default '',
		`changed_by` varchar(250) NOT NULL default '',
		`changed_at` varchar(20) NOT NULL default '',
		`keywords` text NOT NULL,
		`template_id` int(10) unsigned NOT NULL default '0',
		PRIMARY KEY  (`eid`),
		KEY `preid` (`preid`,`sorting`),
		KEY `config` (`config_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_lang` (
		`lid` int(10) unsigned NOT NULL auto_increment,
		`name` varchar(250) NOT NULL default '',
		`flag` varchar(250) NOT NULL default '',
		`filename` varchar(250) NOT NULL default '',
		`date` varchar(20) NOT NULL default 'd.m.Y',
		`datetime` varchar(20) NOT NULL default 'd.m.Y - H:i',
		`token` varchar(5) NOT NULL default '',
		PRIMARY KEY  (`lid`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
	
	if($language == "de") {
		$db->query("INSERT INTO `".$tbl_prefix."sys_lang` VALUES (1, 'Deutsch', 'de.gif', 'deutsch.php', 'd.m.Y', 'd.m.Y - H:i', 'de');");
		$db->query("INSERT INTO `".$tbl_prefix."sys_lang` VALUES (2, 'English', 'en.gif', 'english.php', 'm/d/Y', 'm/d/Y - H:i', 'en');");
	} else {
		$db->query("INSERT INTO `".$tbl_prefix."sys_lang` VALUES (1, 'English', 'en.gif', 'english.php', 'm/d/Y', 'm/d/Y - H:i', 'en');");
		$db->query("INSERT INTO `".$tbl_prefix."sys_lang` VALUES (2, 'Deutsch', 'de.gif', 'deutsch.php', 'd.m.Y', 'd.m.Y - H:i', 'de');");
	}
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_media` (
		`mid` int(10) unsigned NOT NULL auto_increment,
		`media_type` int(10) unsigned NOT NULL default '0',
		`filename` varchar(250) NOT NULL default '',
		PRIMARY KEY  (`mid`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_permission` (
		`pid` int(10) unsigned NOT NULL auto_increment,
		`group_id` int(10) unsigned NOT NULL default '0',
		`page` varchar(80) NOT NULL default '',
		`object_w` enum('0','1') NOT NULL default '0',
		`object_d` enum('0','1') NOT NULL default '0',
		PRIMARY KEY  (`pid`),
		KEY `group_id` (`group_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_plugin` (
		`pid` int(10) unsigned NOT NULL auto_increment,
		`name` varchar(250) NOT NULL default '',
		`index_file` varchar(250) NOT NULL default '',
		`index_tmpl` varchar(250) NOT NULL default '',
		`tmpl_handler` varchar(250) NOT NULL default '',
		`admin_file` varchar(250) NOT NULL default '',
		`admin_handler` VARCHAR(250) NOT NULL default '',
		`install_path` varchar(250) NOT NULL default '',
		`plugin_type` int(1) unsigned NOT NULL default '0',
		`status` enum('0','1') NOT NULL default '0',
		PRIMARY KEY  (`pid`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
		
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (1, 'date', 'date.php', 'date.html', '', '', '', 'date/', 0, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (2, 'sitemap', 'sitemap.php', 'sitemap.html', '', 'admin.php', '', 'sitemap/', 1, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (3, 'search', 'search.php', 'search.html', '', 'admin.php', '', 'search/', 1, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (4, 'searchbox', 'searchbox.php', 'searchbox.html', '', '', '', 'search/', 0, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (5, 'contact', 'contact.php', 'contact.html', '', 'admin.php', '', 'contact/', 1, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (7, 'location', 'location.php', 'location.html', '', '', '', 'location/', 0, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (10, 'menu2', 'menu.php', 'menu.html', '', '', '', 'menu2/', 0, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (11, 'submenu2', 'menu.php', 'submenu.html', '', '', '', 'menu2/', 0, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (15, 'registration', 'register.php', 'register_account.html', 'tmpl_handler.php', '', '', 'registration/', 1, '1');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_plugin` VALUES (16, 'login', 'login.php', 'login.html', '', '', '', 'login/', 0, '1');");

	$db->query("CREATE TABLE `".$tbl_prefix."sys_profile` (
		`pid` int(10) unsigned NOT NULL auto_increment,
		`user_id` int(10) unsigned NOT NULL default '0',
		`firstname` varchar(250) NOT NULL default '',
		`lastname` varchar(250) NOT NULL default '',
		`address1` varchar(250) NOT NULL default '',
		`address2` varchar(250) NOT NULL default '',
		`city` varchar(250) NOT NULL default '',
		`zip_code` varchar(20) NOT NULL default '',
		`email` varchar(250) NOT NULL default '',
		`birthday` varchar(20) NOT NULL default '',
		`gender` enum('0','1') NOT NULL default '0',
		`picture` varchar(250) NOT NULL default '',
		`be_lang` int(10) unsigned NOT NULL default '0',
		`be_tmpl` int(10) unsigned NOT NULL default '0',
		PRIMARY KEY  (`pid`),
		KEY `user_id` (`user_id`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
		
	$db->query("INSERT INTO `".$tbl_prefix."sys_profile` VALUES (1, 1, 'admin', '', '', '', '', '', '', '', '0', '', 1, 0);");
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_session` (
        `sid` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
        `type` TINYINT(1) UNSIGNED NOT NULL,
        `uid` INT(10) UNSIGNED NOT NULL,
        `date` DATE NOT NULL,
        `time` TIME NOT NULL,
        `status` TINYINT(1) UNSIGNED NOT NULL,
        `timestamp` VARCHAR(20) NOT NULL,
        `ip` VARCHAR(80) NOT NULL,
        `session_id` VARCHAR(80) NOT NULL,
		PRIMARY KEY (`sid`)
        ) TYPE=MyISAM AUTO_INCREMENT=1 ;");
		
	$db->query("CREATE TABLE `".$tbl_prefix."sys_setting` (
		`sid` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
		`update_check` ENUM('0','1') NOT NULL,
		`register_notify` ENUM('0','1') NOT NULL,
		`login_protection` ENUM('0','1') NOT NULL,
		`online_status` ENUM('0','1') NOT NULL,
		`user_content_only` ENUM('0','1') NOT NULL,
		PRIMARY KEY (`sid`)
		) TYPE=MyISAM; ");
	
	$db->query("INSERT INTO `".$tbl_prefix."sys_setting` VALUES (NULL , '0', '0', '1', '0', '0');");
	
	$db->query("CREATE TABLE `".$tbl_prefix."sys_template` (
		`tid` int(10) unsigned NOT NULL auto_increment,
		`name` varchar(250) NOT NULL default '',
		`template` varchar(250) NOT NULL default '',
		`css` varchar(250) NOT NULL default '',
		`be` enum('0','1') NOT NULL default '0',
		PRIMARY KEY  (`tid`),
		KEY `be` (`be`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
	
	$db->query("INSERT INTO `".$tbl_prefix."sys_template` VALUES (1, 'default', 'default.html', 'default.css', '0');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_template` VALUES (2, 'blue3columns', 'default.html', 'default.css', '0');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_template` VALUES (3, 'grey2columns', 'default.html', 'default.css', '0');");

	$db->query("CREATE TABLE `".$tbl_prefix."sys_user` (
		`uid` int(10) unsigned NOT NULL auto_increment,
		`username` varchar(250) NOT NULL default '',
		`password` varchar(250) NOT NULL default '',
		`groups` text NOT NULL,
		`online_status` enum('0','1') NOT NULL default '0',
		`blocked` enum('0','1') NOT NULL default '0',
		`deleted` enum('0','1') NOT NULL default '0',
		`status` enum('0','1') NOT NULL default '0',
		`user_since` varchar(20) NOT NULL default '',
		`last_login` varchar(20) NOT NULL default '',
		`curr_login` varchar(20) NOT NULL default '',
		`key` varchar(30) NOT NULL default '',
		PRIMARY KEY  (`uid`),
		KEY `status` (`status`),
		KEY `online` (`online_status`,`last_login`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
	
	$db->query("INSERT INTO `".$tbl_prefix."sys_user` VALUES (1, 'admin', '21232f297a57a5a743894a0e4a801fc3', 'Admin', '0', '0', '0', '1', '0', '0', '0', 'fcghv876zg');");

	$db->query("CREATE TABLE `".$tbl_prefix."sys_usergroup` (
		`gid` int(10) unsigned NOT NULL auto_increment,
		`name` varchar(250) NOT NULL default '',
		`backend` enum('0','1') NOT NULL default '0',
		`content` enum('0','1') NOT NULL default '0',
		`settings` enum('0','1') NOT NULL default '0',
		`configure` enum('0','1') NOT NULL default '0',
		`permissions` enum('0','1') NOT NULL default '0',
		`tools` enum('0','1') NOT NULL default '0',
		`demo` enum('0','1') NOT NULL default '0',
		PRIMARY KEY  (`gid`)
		) TYPE=MyISAM AUTO_INCREMENT=1 ;");
		
	$db->query("INSERT INTO `".$tbl_prefix."sys_usergroup` VALUES (1, 'User', '0', '0', '0', '0', '0', '0', '0');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_usergroup` VALUES (2, 'Editor', '1', '1', '0', '0', '0', '0', '0');");
	$db->query("INSERT INTO `".$tbl_prefix."sys_usergroup` VALUES (3, 'Admin', '1', '1', '1', '1', '1', '1', '0');");
	
	if($_POST['demodata'] == TRUE) {
		// insert example records
		// config
		$folder = substr($_SERVER['SCRIPT_NAME'],0,strrpos($_SERVER['SCRIPT_NAME'],"/install"));
		$db->query("INSERT INTO `".$tbl_prefix."sys_config` VALUES (1, 1, 'http://".$_SERVER['SERVER_NAME'].$folder."', 1, 'bloofoxCMS', 1, '', 'bloofoxCMS', '', 'bloofoxCMS', 'Alexander Lang', 'windows-1252', 'XHTML 1.0 Transitional', 'bloofox.com - All rights reserved.', '0', 'info@bloofox.com');");
		// contents
		$timestamp = time();
		$db->query("INSERT INTO `".$tbl_prefix."sys_explorer` VALUES (1, 1, 0, 10000, 1, 'My Website', 2, '', '', 2, 0, '', '0', '0', '', '0', '', '', 'admin', '".$timestamp."', '', '', '',0);");
		$db->query("INSERT INTO `".$tbl_prefix."sys_explorer` VALUES (2, 2, 1, 10000, 1, 'Welcome', 0, '', '', 0, 0, '', '0', '0', '', '0', '', '', 'admin', '".$timestamp."', '', '', '',0);");
		$db->query("INSERT INTO `".$tbl_prefix."sys_explorer` VALUES (3, 2, 1, 20000, 1, 'About Me', 0, '', '', 0, 0, '', '0', '0', '', '0', '', '', 'admin', '".$timestamp."', '', '', '',0);");
		$db->query("INSERT INTO `".$tbl_prefix."sys_explorer` VALUES (4, 3, 3, 10000, 1, 'Contact', 3, '', '', 0, 5, '', '0', '0', '', '0', '', '', 'admin', '".$timestamp."', '', '', '',0);");
		$db->query("INSERT INTO `".$tbl_prefix."sys_explorer` VALUES (5, 2, 1, 30000, 1, 'Photos', 0, '', '', 0, 0, '', '0', '0', '', '0', '', '', 'admin', '".$timestamp."', '', '', '',0);");
		$db->query("INSERT INTO `".$tbl_prefix."sys_explorer` VALUES (6, 2, 1, 40000, 1, 'Sitemap', 3, '', '', 0, 2, '', '0', '0', '', '0', '', '', 'admin', '".$timestamp."', '', '', '',0);");
		$db->query("INSERT INTO `".$tbl_prefix."sys_explorer` VALUES (7, 3, 6, 10000, 1, 'Search', 3, '', '', 0, 3, '', '0', '0', '', '0', '', '', 'admin', '".$timestamp."', '', '', '',0);");
		$db->query("INSERT INTO `".$tbl_prefix."sys_content` VALUES (1, 2, 1000, 0, 'Welcome to My Website', 'This is a demo introduction. I will change the contents immediately.', '0', 'admin', '0', '', '');");
		$db->query("INSERT INTO `".$tbl_prefix."sys_content` VALUES (2, 3, 1000, 0, 'About Me', 'I am the bloofoxCMS example content. It seems there will be some other contents in future...', '0', 'admin', '0', '', '');");
		$db->query("INSERT INTO `".$tbl_prefix."sys_content` VALUES (3, 5, 1000, 0, 'Photos', 'This could be a place to publish some photographs, pictures or whatever.', '0', 'admin', '0', '', '');");
	}
	
	if($error == "") {
		// *** Create install.txt Report ***
		if(is_writeable("../media/txt")) {
			$report = fopen("../media/txt/install.txt","w");
			fwrite($report,date("m/d/Y",time())." - bloofoxCMS was installed.\n\r");
			fclose($report);
		}
		load_url("index.php?page=3");
	}
}

$tpl->set_block("content", "step2", "step2_handle");

$tpl->set_var(array(
	"step2_action"        => "index.php?page=2",
	"step2_text"          => "<p>".$strCreateTables."</p>",
	"step2_error"         => $error,
	"step2_tables"        => "<p class='bold'>".$strSysTables."</p>",
	"step2_demodata"      => "<p><input type='checkbox' name='demodata' /> ".$strDemoData."</p>",
	"step2_next_step"     => "<input type='submit' name='send' value='".$strNextStep3."' />"
	));

$tpl->parse("step2_handle", "step2", true);
?>