<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - system/class_explorer.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

class explorer {

	// Init variables
	var $sys_time = 0;
	var $sys_explorer_vars = array();

	// Constructor
	function explorer()
	{
		$this->sys_time = time();
	}

	// Get correct explorer entry from database
	function get_explorer($db,$sys_config_vars,$sys_explorer_id)
	{
		global $tbl_prefix;
		$db->query("SELECT eid FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$sys_explorer_id."' && blocked = '0' && startdate < '".$this->sys_time."' && (enddate > '".$this->sys_time."' || enddate = '') ORDER BY eid LIMIT 1");
		$q = $db->num_rows();
		
		if($q > 0) {
			while($db->next_record()):
				$eid = $db->f("eid");
			endwhile;
			
			$this->set_explorer($db,$eid);
		}
		
		// select root page, if explorer page couldn't be found
		if($q == 0) {
			$db->query("SELECT eid FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$sys_config_vars['root_id']."' ORDER BY eid LIMIT 1");
			$q = $db->num_rows();

			if($q == 0) {
				die("Error: Couldn't find root page!");
			}
			
			while($db->next_record()):
				$eid = $db->f("eid");
			endwhile;
			
			$this->set_explorer($db,$eid);
		}
		
		return($this->sys_explorer_vars);
	}
	
	// Set sys_explorer_vars-Array
	function set_explorer($db,$eid)
	{
		global $tbl_prefix;
		$explorer_vars = array();
		
		$db->query("SELECT * FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$eid."' ORDER BY eid LIMIT 1");
		
		while($db->next_record()):
			$explorer_vars["eid"] = $db->f("eid");
			$explorer_vars["level"] = $db->f("level");
			$explorer_vars["preid"] = $db->f("preid");
			$explorer_vars["sorting"] = $db->f("sorting");
			$explorer_vars["config_id"] = $db->f("config_id");
			$explorer_vars["name"] = $db->f("name");
			$explorer_vars["link_type"] = $db->f("link_type");
			$explorer_vars["link_target"] = $db->f("link_target");
			$explorer_vars["link_url"] = $db->f("link_url");
			$explorer_vars["link_eid"] = $db->f("link_eid");
			$explorer_vars["link_plugin"] = $db->f("link_plugin");
			$explorer_vars["link_param"] = $db->f("link_param");
			$explorer_vars["groups"] = $db->f("groups");
			$explorer_vars["keywords"] = $db->f("keywords");
			$explorer_vars["template_id"] = $db->f("template_id");
		endwhile;
		
		$this->sys_explorer_vars = $explorer_vars;
	}
}
?>